Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface ImperativeOCLPackage

All Known Implementing Classes:
  ImperativeOCLPackageImpl

    public interface ImperativeOCLPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `ImperativeOCLFactory`

Nested Class Summary
`static interface` | `ImperativeOCLPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static int` | `ALT_EXP` The meta object id for the '`Alt Exp`' class
`static int` | `ALT_EXP__BODY` The feature id for the 'Body' containment reference
`static int` | `ALT_EXP__CONDITION` The feature id for the 'Condition' containment reference
`static int` | `ALT_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `ALT_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `ALT_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `ALT_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `ALT_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `ALT_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `ALT_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `ALT_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `ALT_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `ALT_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `ALT_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `ALT_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `ALT_EXP_FEATURE_COUNT` The number of structural features of the 'Alt Exp' class
`static int` | `ASSERT_EXP` The meta object id for the '`Assert Exp`' class
`static int` | `ASSERT_EXP__ASSERTION` The feature id for the 'Assertion' containment reference
`static int` | `ASSERT_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `ASSERT_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `ASSERT_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `ASSERT_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `ASSERT_EXP__LOG` The feature id for the 'Log' containment reference
`static int` | `ASSERT_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `ASSERT_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `ASSERT_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `ASSERT_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `ASSERT_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `ASSERT_EXP__SEVERITY` The feature id for the 'Severity' attribute
`static int` | `ASSERT_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `ASSERT_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `ASSERT_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `ASSERT_EXP_FEATURE_COUNT` The number of structural features of the 'Assert Exp' class
`static int` | `ASSIGN_EXP` The meta object id for the '`Assign Exp`' class
`static int` | `ASSIGN_EXP__DEFAULT_VALUE` The feature id for the 'Default Value' containment reference
`static int` | `ASSIGN_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `ASSIGN_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `ASSIGN_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `ASSIGN_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `ASSIGN_EXP__IS_RESET` The feature id for the 'Is Reset' attribute
`static int` | `ASSIGN_EXP__LEFT` The feature id for the 'Left' containment reference
`static int` | `ASSIGN_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `ASSIGN_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `ASSIGN_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `ASSIGN_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `ASSIGN_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `ASSIGN_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `ASSIGN_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `ASSIGN_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `ASSIGN_EXP__VALUE` The feature id for the 'Value' containment reference list
`static int` | `ASSIGN_EXP_FEATURE_COUNT` The number of structural features of the 'Assign Exp' class
`static int` | `BLOCK_EXP` The meta object id for the '`Block Exp`' class
`static int` | `BLOCK_EXP__BODY` The feature id for the 'Body' containment reference list
`static int` | `BLOCK_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `BLOCK_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `BLOCK_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `BLOCK_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `BLOCK_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `BLOCK_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `BLOCK_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `BLOCK_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `BLOCK_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `BLOCK_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `BLOCK_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `BLOCK_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `BLOCK_EXP_FEATURE_COUNT` The number of structural features of the 'Block Exp' class
`static int` | `BREAK_EXP` The meta object id for the '`Break Exp`' class
`static int` | `BREAK_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `BREAK_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `BREAK_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `BREAK_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `BREAK_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `BREAK_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `BREAK_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `BREAK_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `BREAK_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `BREAK_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `BREAK_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `BREAK_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `BREAK_EXP_FEATURE_COUNT` The number of structural features of the 'Break Exp' class
`static int` | `CATCH_EXP` The meta object id for the '`Catch Exp`' class
`static int` | `CATCH_EXP__BODY` The feature id for the 'Body' containment reference list
`static int` | `CATCH_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `CATCH_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `CATCH_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `CATCH_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `CATCH_EXP__EXCEPTION` The feature id for the 'Exception' reference list
`static int` | `CATCH_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `CATCH_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `CATCH_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `CATCH_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `CATCH_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `CATCH_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `CATCH_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `CATCH_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `CATCH_EXP_FEATURE_COUNT` The number of structural features of the 'Catch Exp' class
`static int` | `COMPUTE_EXP` The meta object id for the '`Compute Exp`' class
`static int` | `COMPUTE_EXP__BODY` The feature id for the 'Body' containment reference
`static int` | `COMPUTE_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `COMPUTE_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `COMPUTE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `COMPUTE_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `COMPUTE_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `COMPUTE_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `COMPUTE_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `COMPUTE_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `COMPUTE_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `COMPUTE_EXP__RETURNED_ELEMENT` The feature id for the 'Returned Element' containment reference
`static int` | `COMPUTE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `COMPUTE_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `COMPUTE_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `COMPUTE_EXP_FEATURE_COUNT` The number of structural features of the 'Compute Exp' class
`static int` | `CONTINUE_EXP` The meta object id for the '`Continue Exp`' class
`static int` | `CONTINUE_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `CONTINUE_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `CONTINUE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `CONTINUE_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `CONTINUE_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `CONTINUE_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `CONTINUE_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `CONTINUE_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `CONTINUE_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `CONTINUE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `CONTINUE_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `CONTINUE_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `CONTINUE_EXP_FEATURE_COUNT` The number of structural features of the 'Continue Exp' class
`static int` | `DICT_LITERAL_EXP` The meta object id for the '`Dict Literal Exp`' class
`static int` | `DICT_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `DICT_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `DICT_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `DICT_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `DICT_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `DICT_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `DICT_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `DICT_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `DICT_LITERAL_EXP__PART` The feature id for the 'Part' containment reference list
`static int` | `DICT_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `DICT_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `DICT_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `DICT_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `DICT_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Dict Literal Exp' class
`static int` | `DICT_LITERAL_PART` The meta object id for the '`Dict Literal Part`' class
`static int` | `DICT_LITERAL_PART__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `DICT_LITERAL_PART__KEY` The feature id for the 'Key' containment reference
`static int` | `DICT_LITERAL_PART__VALUE` The feature id for the 'Value' containment reference
`static int` | `DICT_LITERAL_PART_FEATURE_COUNT` The number of structural features of the 'Dict Literal Part' class
`static int` | `DICTIONARY_TYPE` The meta object id for the '`Dictionary Type`' class
`static int` | `DICTIONARY_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` | `DICTIONARY_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `DICTIONARY_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` | `DICTIONARY_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `DICTIONARY_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` | `DICTIONARY_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` | `DICTIONARY_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` | `DICTIONARY_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` | `DICTIONARY_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` | `DICTIONARY_TYPE__KEY_TYPE` The feature id for the 'Key Type' reference
`static int` | `DICTIONARY_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` | `DICTIONARY_TYPE__NAME` The feature id for the 'Name' attribute
`static int` | `DICTIONARY_TYPE__SERIALIZABLE` The feature id for the 'Serializable' attribute
`static int` | `DICTIONARY_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `DICTIONARY_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` | `DICTIONARY_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` | `DICTIONARY_TYPE_FEATURE_COUNT` The number of structural features of the 'Dictionary Type' class
`static java.lang.String` | `eCONTENT_TYPE` The package content type ID
`static ImperativeOCLPackage` | `eINSTANCE` The singleton instance of the package
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `FOR_EXP` The meta object id for the '`For Exp`' class
`static int` | `FOR_EXP__BODY` The feature id for the 'Body' containment reference
`static int` | `FOR_EXP__CONDITION` The feature id for the 'Condition' containment reference
`static int` | `FOR_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `FOR_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `FOR_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `FOR_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `FOR_EXP__ITERATOR` The feature id for the 'Iterator' containment reference list
`static int` | `FOR_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `FOR_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `FOR_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `FOR_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `FOR_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` | `FOR_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` | `FOR_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `FOR_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` | `FOR_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `FOR_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `FOR_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `FOR_EXP_FEATURE_COUNT` The number of structural features of the 'For Exp' class
`static int` | `IMPERATIVE_EXPRESSION` The meta object id for the '`Imperative Expression`' class
`static int` | `IMPERATIVE_EXPRESSION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `IMPERATIVE_EXPRESSION__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `IMPERATIVE_EXPRESSION__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `IMPERATIVE_EXPRESSION__ETYPE` The feature id for the 'EType' reference
`static int` | `IMPERATIVE_EXPRESSION__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `IMPERATIVE_EXPRESSION__MANY` The feature id for the 'Many' attribute
`static int` | `IMPERATIVE_EXPRESSION__NAME` The feature id for the 'Name' attribute
`static int` | `IMPERATIVE_EXPRESSION__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `IMPERATIVE_EXPRESSION__REQUIRED` The feature id for the 'Required' attribute
`static int` | `IMPERATIVE_EXPRESSION__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `IMPERATIVE_EXPRESSION__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `IMPERATIVE_EXPRESSION__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `IMPERATIVE_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Imperative Expression' class
`static int` | `IMPERATIVE_ITERATE_EXP` The meta object id for the '`Imperative Iterate Exp`' class
`static int` | `IMPERATIVE_ITERATE_EXP__BODY` The feature id for the 'Body' containment reference
`static int` | `IMPERATIVE_ITERATE_EXP__CONDITION` The feature id for the 'Condition' containment reference
`static int` | `IMPERATIVE_ITERATE_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `IMPERATIVE_ITERATE_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `IMPERATIVE_ITERATE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `IMPERATIVE_ITERATE_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `IMPERATIVE_ITERATE_EXP__ITERATOR` The feature id for the 'Iterator' containment reference list
`static int` | `IMPERATIVE_ITERATE_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `IMPERATIVE_ITERATE_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `IMPERATIVE_ITERATE_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `IMPERATIVE_ITERATE_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `IMPERATIVE_ITERATE_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` | `IMPERATIVE_ITERATE_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` | `IMPERATIVE_ITERATE_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `IMPERATIVE_ITERATE_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` | `IMPERATIVE_ITERATE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `IMPERATIVE_ITERATE_EXP__TARGET` The feature id for the 'Target' containment reference
`static int` | `IMPERATIVE_ITERATE_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `IMPERATIVE_ITERATE_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `IMPERATIVE_ITERATE_EXP_FEATURE_COUNT` The number of structural features of the 'Imperative Iterate Exp' class
`static int` | `IMPERATIVE_LOOP_EXP` The meta object id for the '`Imperative Loop Exp`' class
`static int` | `IMPERATIVE_LOOP_EXP__BODY` The feature id for the 'Body' containment reference
`static int` | `IMPERATIVE_LOOP_EXP__CONDITION` The feature id for the 'Condition' containment reference
`static int` | `IMPERATIVE_LOOP_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `IMPERATIVE_LOOP_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `IMPERATIVE_LOOP_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `IMPERATIVE_LOOP_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `IMPERATIVE_LOOP_EXP__ITERATOR` The feature id for the 'Iterator' containment reference list
`static int` | `IMPERATIVE_LOOP_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `IMPERATIVE_LOOP_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `IMPERATIVE_LOOP_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `IMPERATIVE_LOOP_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `IMPERATIVE_LOOP_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` | `IMPERATIVE_LOOP_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` | `IMPERATIVE_LOOP_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `IMPERATIVE_LOOP_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` | `IMPERATIVE_LOOP_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `IMPERATIVE_LOOP_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `IMPERATIVE_LOOP_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `IMPERATIVE_LOOP_EXP_FEATURE_COUNT` The number of structural features of the 'Imperative Loop Exp' class
`static int` | `INSTANTIATION_EXP` The meta object id for the '`Instantiation Exp`' class
`static int` | `INSTANTIATION_EXP__ARGUMENT` The feature id for the 'Argument' containment reference list
`static int` | `INSTANTIATION_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `INSTANTIATION_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `INSTANTIATION_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `INSTANTIATION_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `INSTANTIATION_EXP__EXTENT` The feature id for the 'Extent' reference
`static int` | `INSTANTIATION_EXP__INSTANTIATED_CLASS` The feature id for the 'Instantiated Class' reference
`static int` | `INSTANTIATION_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `INSTANTIATION_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `INSTANTIATION_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `INSTANTIATION_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `INSTANTIATION_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `INSTANTIATION_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `INSTANTIATION_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `INSTANTIATION_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `INSTANTIATION_EXP_FEATURE_COUNT` The number of structural features of the 'Instantiation Exp' class
`static int` | `LIST_LITERAL_EXP` The meta object id for the '`List Literal Exp`' class
`static int` | `LIST_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `LIST_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `LIST_LITERAL_EXP__ELEMENT` The feature id for the 'Element' containment reference list
`static int` | `LIST_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `LIST_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `LIST_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `LIST_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `LIST_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `LIST_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `LIST_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `LIST_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `LIST_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `LIST_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `LIST_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'List Literal Exp' class
`static int` | `LIST_TYPE` The meta object id for the '`List Type`' class
`static int` | `LIST_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` | `LIST_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `LIST_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` | `LIST_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `LIST_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` | `LIST_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` | `LIST_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` | `LIST_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` | `LIST_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` | `LIST_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` | `LIST_TYPE__NAME` The feature id for the 'Name' attribute
`static int` | `LIST_TYPE__SERIALIZABLE` The feature id for the 'Serializable' attribute
`static int` | `LIST_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `LIST_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` | `LIST_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` | `LIST_TYPE_FEATURE_COUNT` The number of structural features of the 'List Type' class
`static int` | `LOG_EXP` The meta object id for the '`Log Exp`' class
`static int` | `LOG_EXP__ARGUMENT` The feature id for the 'Argument' containment reference list
`static int` | `LOG_EXP__CONDITION` The feature id for the 'Condition' containment reference
`static int` | `LOG_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `LOG_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `LOG_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `LOG_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `LOG_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `LOG_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `LOG_EXP__MARKED_PRE` The feature id for the 'Marked Pre' attribute
`static int` | `LOG_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `LOG_EXP__OPERATION_CODE` The feature id for the 'Operation Code' attribute
`static int` | `LOG_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `LOG_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` | `LOG_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` | `LOG_EXP__REFERRED_OPERATION` The feature id for the 'Referred Operation' reference
`static int` | `LOG_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `LOG_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` | `LOG_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `LOG_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `LOG_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `LOG_EXP_FEATURE_COUNT` The number of structural features of the 'Log Exp' class
`static int` | `ORDERED_TUPLE_LITERAL_EXP` The meta object id for the '`Ordered Tuple Literal Exp`' class
`static int` | `ORDERED_TUPLE_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `ORDERED_TUPLE_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `ORDERED_TUPLE_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `ORDERED_TUPLE_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `ORDERED_TUPLE_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `ORDERED_TUPLE_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `ORDERED_TUPLE_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `ORDERED_TUPLE_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `ORDERED_TUPLE_LITERAL_EXP__PART` The feature id for the 'Part' containment reference list
`static int` | `ORDERED_TUPLE_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `ORDERED_TUPLE_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `ORDERED_TUPLE_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `ORDERED_TUPLE_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `ORDERED_TUPLE_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Ordered Tuple Literal Exp' class
`static int` | `ORDERED_TUPLE_LITERAL_PART` The meta object id for the '`Ordered Tuple Literal Part`' class
`static int` | `ORDERED_TUPLE_LITERAL_PART__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `ORDERED_TUPLE_LITERAL_PART__VALUE` The feature id for the 'Value' containment reference
`static int` | `ORDERED_TUPLE_LITERAL_PART_FEATURE_COUNT` The number of structural features of the 'Ordered Tuple Literal Part' class
`static int` | `ORDERED_TUPLE_TYPE` The meta object id for the '`Ordered Tuple Type`' class
`static int` | `ORDERED_TUPLE_TYPE__ABSTRACT` The feature id for the 'Abstract' attribute
`static int` | `ORDERED_TUPLE_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` | `ORDERED_TUPLE_TYPE__EALL_ATTRIBUTES` The feature id for the 'EAll Attributes' reference list
`static int` | `ORDERED_TUPLE_TYPE__EALL_CONTAINMENTS` The feature id for the 'EAll Containments' reference list
`static int` | `ORDERED_TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES` The feature id for the 'EAll Generic Super Types' reference list
`static int` | `ORDERED_TUPLE_TYPE__EALL_OPERATIONS` The feature id for the 'EAll Operations' reference list
`static int` | `ORDERED_TUPLE_TYPE__EALL_REFERENCES` The feature id for the 'EAll References' reference list
`static int` | `ORDERED_TUPLE_TYPE__EALL_STRUCTURAL_FEATURES` The feature id for the 'EAll Structural Features' reference list
`static int` | `ORDERED_TUPLE_TYPE__EALL_SUPER_TYPES` The feature id for the 'EAll Super Types' reference list
`static int` | `ORDERED_TUPLE_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `ORDERED_TUPLE_TYPE__EATTRIBUTES` The feature id for the 'EAttributes' reference list
`static int` | `ORDERED_TUPLE_TYPE__EGENERIC_SUPER_TYPES` The feature id for the 'EGeneric Super Types' containment reference list
`static int` | `ORDERED_TUPLE_TYPE__EID_ATTRIBUTE` The feature id for the 'EID Attribute' reference
`static int` | `ORDERED_TUPLE_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference list
`static int` | `ORDERED_TUPLE_TYPE__EOPERATIONS` The feature id for the 'EOperations' containment reference list
`static int` | `ORDERED_TUPLE_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` | `ORDERED_TUPLE_TYPE__EREFERENCES` The feature id for the 'EReferences' reference list
`static int` | `ORDERED_TUPLE_TYPE__ESTRUCTURAL_FEATURES` The feature id for the 'EStructural Features' containment reference list
`static int` | `ORDERED_TUPLE_TYPE__ESUPER_TYPES` The feature id for the 'ESuper Types' reference list
`static int` | `ORDERED_TUPLE_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` | `ORDERED_TUPLE_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` | `ORDERED_TUPLE_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` | `ORDERED_TUPLE_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` | `ORDERED_TUPLE_TYPE__INTERFACE` The feature id for the 'Interface' attribute
`static int` | `ORDERED_TUPLE_TYPE__NAME` The feature id for the 'Name' attribute
`static int` | `ORDERED_TUPLE_TYPE_FEATURE_COUNT` The number of structural features of the 'Ordered Tuple Type' class
`static int` | `RAISE_EXP` The meta object id for the '`Raise Exp`' class
`static int` | `RAISE_EXP__ARGUMENT` The feature id for the 'Argument' containment reference
`static int` | `RAISE_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `RAISE_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `RAISE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `RAISE_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `RAISE_EXP__EXCEPTION` The feature id for the 'Exception' reference
`static int` | `RAISE_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `RAISE_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `RAISE_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `RAISE_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `RAISE_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `RAISE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `RAISE_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `RAISE_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `RAISE_EXP_FEATURE_COUNT` The number of structural features of the 'Raise Exp' class
`static int` | `RETURN_EXP` The meta object id for the '`Return Exp`' class
`static int` | `RETURN_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `RETURN_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `RETURN_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `RETURN_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `RETURN_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `RETURN_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `RETURN_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `RETURN_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `RETURN_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `RETURN_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `RETURN_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `RETURN_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `RETURN_EXP__VALUE` The feature id for the 'Value' containment reference
`static int` | `RETURN_EXP_FEATURE_COUNT` The number of structural features of the 'Return Exp' class
`static int` | `SEVERITY_KIND` The meta object id for the '`Severity Kind`' enum
`static int` | `SWITCH_EXP` The meta object id for the '`Switch Exp`' class
`static int` | `SWITCH_EXP__ALTERNATIVE_PART` The feature id for the 'Alternative Part' containment reference list
`static int` | `SWITCH_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `SWITCH_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `SWITCH_EXP__ELSE_PART` The feature id for the 'Else Part' containment reference
`static int` | `SWITCH_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `SWITCH_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `SWITCH_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `SWITCH_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `SWITCH_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `SWITCH_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `SWITCH_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `SWITCH_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `SWITCH_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `SWITCH_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `SWITCH_EXP_FEATURE_COUNT` The number of structural features of the 'Switch Exp' class
`static int` | `TRY_EXP` The meta object id for the '`Try Exp`' class
`static int` | `TRY_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `TRY_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `TRY_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `TRY_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `TRY_EXP__EXCEPT_CLAUSE` The feature id for the 'Except Clause' containment reference list
`static int` | `TRY_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `TRY_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `TRY_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `TRY_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `TRY_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `TRY_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `TRY_EXP__TRY_BODY` The feature id for the 'Try Body' containment reference list
`static int` | `TRY_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `TRY_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `TRY_EXP_FEATURE_COUNT` The number of structural features of the 'Try Exp' class
`static int` | `TYPEDEF` The meta object id for the '`Typedef`' class
`static int` | `TYPEDEF__ABSTRACT` The feature id for the 'Abstract' attribute
`static int` | `TYPEDEF__BASE` The feature id for the 'Base' reference
`static int` | `TYPEDEF__CONDITION` The feature id for the 'Condition' containment reference
`static int` | `TYPEDEF__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` | `TYPEDEF__EALL_ATTRIBUTES` The feature id for the 'EAll Attributes' reference list
`static int` | `TYPEDEF__EALL_CONTAINMENTS` The feature id for the 'EAll Containments' reference list
`static int` | `TYPEDEF__EALL_GENERIC_SUPER_TYPES` The feature id for the 'EAll Generic Super Types' reference list
`static int` | `TYPEDEF__EALL_OPERATIONS` The feature id for the 'EAll Operations' reference list
`static int` | `TYPEDEF__EALL_REFERENCES` The feature id for the 'EAll References' reference list
`static int` | `TYPEDEF__EALL_STRUCTURAL_FEATURES` The feature id for the 'EAll Structural Features' reference list
`static int` | `TYPEDEF__EALL_SUPER_TYPES` The feature id for the 'EAll Super Types' reference list
`static int` | `TYPEDEF__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `TYPEDEF__EATTRIBUTES` The feature id for the 'EAttributes' reference list
`static int` | `TYPEDEF__EGENERIC_SUPER_TYPES` The feature id for the 'EGeneric Super Types' containment reference list
`static int` | `TYPEDEF__EID_ATTRIBUTE` The feature id for the 'EID Attribute' reference
`static int` | `TYPEDEF__EOPERATIONS` The feature id for the 'EOperations' containment reference list
`static int` | `TYPEDEF__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` | `TYPEDEF__EREFERENCES` The feature id for the 'EReferences' reference list
`static int` | `TYPEDEF__ESTRUCTURAL_FEATURES` The feature id for the 'EStructural Features' containment reference list
`static int` | `TYPEDEF__ESUPER_TYPES` The feature id for the 'ESuper Types' reference list
`static int` | `TYPEDEF__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` | `TYPEDEF__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` | `TYPEDEF__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` | `TYPEDEF__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` | `TYPEDEF__INTERFACE` The feature id for the 'Interface' attribute
`static int` | `TYPEDEF__NAME` The feature id for the 'Name' attribute
`static int` | `TYPEDEF_FEATURE_COUNT` The number of structural features of the 'Typedef' class
`static int` | `UNLINK_EXP` The meta object id for the '`Unlink Exp`' class
`static int` | `UNLINK_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `UNLINK_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `UNLINK_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `UNLINK_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `UNLINK_EXP__ITEM` The feature id for the 'Item' containment reference
`static int` | `UNLINK_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `UNLINK_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `UNLINK_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `UNLINK_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `UNLINK_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `UNLINK_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `UNLINK_EXP__TARGET` The feature id for the 'Target' containment reference
`static int` | `UNLINK_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `UNLINK_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `UNLINK_EXP_FEATURE_COUNT` The number of structural features of the 'Unlink Exp' class
`static int` | `UNPACK_EXP` The meta object id for the '`Unpack Exp`' class
`static int` | `UNPACK_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `UNPACK_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `UNPACK_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `UNPACK_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `UNPACK_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `UNPACK_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `UNPACK_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `UNPACK_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `UNPACK_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `UNPACK_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` | `UNPACK_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `UNPACK_EXP__TARGET_VARIABLE` The feature id for the 'Target Variable' reference list
`static int` | `UNPACK_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `UNPACK_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `UNPACK_EXP_FEATURE_COUNT` The number of structural features of the 'Unpack Exp' class
`static int` | `VARIABLE_INIT_EXP` The meta object id for the '`Variable Init Exp`' class
`static int` | `VARIABLE_INIT_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `VARIABLE_INIT_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `VARIABLE_INIT_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `VARIABLE_INIT_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `VARIABLE_INIT_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `VARIABLE_INIT_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `VARIABLE_INIT_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `VARIABLE_INIT_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `VARIABLE_INIT_EXP__REFERRED_VARIABLE` The feature id for the 'Referred Variable' containment reference
`static int` | `VARIABLE_INIT_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `VARIABLE_INIT_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `VARIABLE_INIT_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `VARIABLE_INIT_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `VARIABLE_INIT_EXP__WITH_RESULT` The feature id for the 'With Result' attribute
`static int` | `VARIABLE_INIT_EXP_FEATURE_COUNT` The number of structural features of the 'Variable Init Exp' class
`static int` | `WHILE_EXP` The meta object id for the '`While Exp`' class
`static int` | `WHILE_EXP__BODY` The feature id for the 'Body' containment reference
`static int` | `WHILE_EXP__CONDITION` The feature id for the 'Condition' containment reference
`static int` | `WHILE_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` | `WHILE_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` | `WHILE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` | `WHILE_EXP__ETYPE` The feature id for the 'EType' reference
`static int` | `WHILE_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` | `WHILE_EXP__MANY` The feature id for the 'Many' attribute
`static int` | `WHILE_EXP__NAME` The feature id for the 'Name' attribute
`static int` | `WHILE_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` | `WHILE_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` | `WHILE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` | `WHILE_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` | `WHILE_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` | `WHILE_EXP_FEATURE_COUNT` The number of structural features of the 'While Exp' class

Method Summary
`EReference` | `getAltExp_Body()` Returns the meta object for the containment reference '`Body`'
`EReference` | `getAltExp_Condition()` Returns the meta object for the containment reference '`Condition`'
`EClass` | `getAltExp()` Returns the meta object for class '`Alt Exp`'
`EReference` | `getAssertExp_Assertion()` Returns the meta object for the containment reference '`Assertion`'
`EReference` | `getAssertExp_Log()` Returns the meta object for the containment reference '`Log`'
`EAttribute` | `getAssertExp_Severity()` Returns the meta object for the attribute '`Severity`'
`EClass` | `getAssertExp()` Returns the meta object for class '`Assert Exp`'
`EReference` | `getAssignExp_DefaultValue()` Returns the meta object for the containment reference '`Default Value`'
`EAttribute` | `getAssignExp_IsReset()` Returns the meta object for the attribute '`Is Reset`'
`EReference` | `getAssignExp_Left()` Returns the meta object for the containment reference '`Left`'
`EReference` | `getAssignExp_Value()` Returns the meta object for the containment reference list '`Value`'
`EClass` | `getAssignExp()` Returns the meta object for class '`Assign Exp`'
`EReference` | `getBlockExp_Body()` Returns the meta object for the containment reference list '`Body`'
`EClass` | `getBlockExp()` Returns the meta object for class '`Block Exp`'
`EClass` | `getBreakExp()` Returns the meta object for class '`Break Exp`'
`EReference` | `getCatchExp_Body()` Returns the meta object for the containment reference list '`Body`'
`EReference` | `getCatchExp_Exception()` Returns the meta object for the reference list '`Exception`'
`EClass` | `getCatchExp()` Returns the meta object for class '`Catch Exp`'
`EReference` | `getComputeExp_Body()` Returns the meta object for the containment reference '`Body`'
`EReference` | `getComputeExp_ReturnedElement()` Returns the meta object for the containment reference '`Returned Element`'
`EClass` | `getComputeExp()` Returns the meta object for class '`Compute Exp`'
`EClass` | `getContinueExp()` Returns the meta object for class '`Continue Exp`'
`EReference` | `getDictionaryType_KeyType()` Returns the meta object for the reference '`Key Type`'
`EClass` | `getDictionaryType()` Returns the meta object for class '`Dictionary Type`'
`EReference` | `getDictLiteralExp_Part()` Returns the meta object for the containment reference list '`Part`'
`EClass` | `getDictLiteralExp()` Returns the meta object for class '`Dict Literal Exp`'
`EReference` | `getDictLiteralPart_Key()` Returns the meta object for the containment reference '`Key`'
`EReference` | `getDictLiteralPart_Value()` Returns the meta object for the containment reference '`Value`'
`EClass` | `getDictLiteralPart()` Returns the meta object for class '`Dict Literal Part`'
`EClass` | `getForExp()` Returns the meta object for class '`For Exp`'
`EClass` | `getImperativeExpression()` Returns the meta object for class '`Imperative Expression`'
`EReference` | `getImperativeIterateExp_Target()` Returns the meta object for the containment reference '`Target`'
`EClass` | `getImperativeIterateExp()` Returns the meta object for class '`Imperative Iterate Exp`'
`EReference` | `getImperativeLoopExp_Condition()` Returns the meta object for the containment reference '`Condition`'
`EClass` | `getImperativeLoopExp()` Returns the meta object for class '`Imperative Loop Exp`'
`ImperativeOCLFactory` | `getImperativeOCLFactory()` Returns the factory that creates the instances of the model
`EReference` | `getInstantiationExp_Argument()` Returns the meta object for the containment reference list '`Argument`'
`EReference` | `getInstantiationExp_Extent()` Returns the meta object for the reference '`Extent`'
`EReference` | `getInstantiationExp_InstantiatedClass()` Returns the meta object for the reference '`Instantiated Class`'
`EClass` | `getInstantiationExp()` Returns the meta object for class '`Instantiation Exp`'
`EReference` | `getListLiteralExp_Element()` Returns the meta object for the containment reference list '`Element`'
`EClass` | `getListLiteralExp()` Returns the meta object for class '`List Literal Exp`'
`EClass` | `getListType()` Returns the meta object for class '`List Type`'
`EReference` | `getLogExp_Condition()` Returns the meta object for the containment reference '`Condition`'
`EClass` | `getLogExp()` Returns the meta object for class '`Log Exp`'
`EReference` | `getOrderedTupleLiteralExp_Part()` Returns the meta object for the containment reference list '`Part`'
`EClass` | `getOrderedTupleLiteralExp()` Returns the meta object for class '`Ordered Tuple Literal Exp`'
`EReference` | `getOrderedTupleLiteralPart_Value()` Returns the meta object for the containment reference '`Value`'
`EClass` | `getOrderedTupleLiteralPart()` Returns the meta object for class '`Ordered Tuple Literal Part`'
`EReference` | `getOrderedTupleType_ElementType()` Returns the meta object for the reference list '`Element Type`'
`EClass` | `getOrderedTupleType()` Returns the meta object for class '`Ordered Tuple Type`'
`EReference` | `getRaiseExp_Argument()` Returns the meta object for the containment reference '`Argument`'
`EReference` | `getRaiseExp_Exception()` Returns the meta object for the reference '`Exception`'
`EClass` | `getRaiseExp()` Returns the meta object for class '`Raise Exp`'
`EReference` | `getReturnExp_Value()` Returns the meta object for the containment reference '`Value`'
`EClass` | `getReturnExp()` Returns the meta object for class '`Return Exp`'
`EEnum` | `getSeverityKind()` Returns the meta object for enum '`Severity Kind`'
`EReference` | `getSwitchExp_AlternativePart()` Returns the meta object for the containment reference list '`Alternative Part`'
`EReference` | `getSwitchExp_ElsePart()` Returns the meta object for the containment reference '`Else Part`'
`EClass` | `getSwitchExp()` Returns the meta object for class '`Switch Exp`'
`EReference` | `getTryExp_ExceptClause()` Returns the meta object for the containment reference list '`Except Clause`'
`EReference` | `getTryExp_TryBody()` Returns the meta object for the containment reference list '`Try Body`'
`EClass` | `getTryExp()` Returns the meta object for class '`Try Exp`'
`EReference` | `getTypedef_Base()` Returns the meta object for the reference '`Base`'
`EReference` | `getTypedef_Condition()` Returns the meta object for the containment reference '`Condition`'
`EClass` | `getTypedef()` Returns the meta object for class '`Typedef`'
`EReference` | `getUnlinkExp_Item()` Returns the meta object for the containment reference '`Item`'
`EReference` | `getUnlinkExp_Target()` Returns the meta object for the containment reference '`Target`'
`EClass` | `getUnlinkExp()` Returns the meta object for class '`Unlink Exp`'
`EReference` | `getUnpackExp_Source()` Returns the meta object for the containment reference '`Source`'
`EReference` | `getUnpackExp_TargetVariable()` Returns the meta object for the reference list '`Target Variable`'
`EClass` | `getUnpackExp()` Returns the meta object for class '`Unpack Exp`'
`EReference` | `getVariableInitExp_ReferredVariable()` Returns the meta object for the containment reference '`Referred Variable`'
`EAttribute` | `getVariableInitExp_WithResult()` Returns the meta object for the attribute '`With Result`'
`EClass` | `getVariableInitExp()` Returns the meta object for class '`Variable Init Exp`'
`EReference` | `getWhileExp_Body()` Returns the meta object for the containment reference '`Body`'
`EReference` | `getWhileExp_Condition()` Returns the meta object for the containment reference '`Condition`'
`EClass` | `getWhileExp()` Returns the meta object for class '`While Exp`'

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eCONTENT_TYPE

    static final java.lang.String eCONTENT_TYPE

  The package content type ID.

  See Also:
    Constant Field Values

### eINSTANCE

    static final ImperativeOCLPackage eINSTANCE

  The singleton instance of the package.

### IMPERATIVE_EXPRESSION

    static final int IMPERATIVE_EXPRESSION

  The meta object id for the '`Imperative Expression`' class.

  See Also:
    `ImperativeExpressionImpl`, `ImperativeOCLPackageImpl.getImperativeExpression()`, Constant Field Values

### IMPERATIVE_EXPRESSION__EANNOTATIONS

    static final int IMPERATIVE_EXPRESSION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### IMPERATIVE_EXPRESSION__NAME

    static final int IMPERATIVE_EXPRESSION__NAME

  The feature id for the 'Name' attribute.

### IMPERATIVE_EXPRESSION__ORDERED

    static final int IMPERATIVE_EXPRESSION__ORDERED

  The feature id for the 'Ordered' attribute.

### IMPERATIVE_EXPRESSION__UNIQUE

    static final int IMPERATIVE_EXPRESSION__UNIQUE

  The feature id for the 'Unique' attribute.

### IMPERATIVE_EXPRESSION__LOWER_BOUND

    static final int IMPERATIVE_EXPRESSION__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### IMPERATIVE_EXPRESSION__UPPER_BOUND

    static final int IMPERATIVE_EXPRESSION__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### IMPERATIVE_EXPRESSION__MANY

    static final int IMPERATIVE_EXPRESSION__MANY

  The feature id for the 'Many' attribute.

### IMPERATIVE_EXPRESSION__REQUIRED

    static final int IMPERATIVE_EXPRESSION__REQUIRED

  The feature id for the 'Required' attribute.

### IMPERATIVE_EXPRESSION__ETYPE

    static final int IMPERATIVE_EXPRESSION__ETYPE

  The feature id for the 'EType' reference.

### IMPERATIVE_EXPRESSION__EGENERIC_TYPE

    static final int IMPERATIVE_EXPRESSION__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### IMPERATIVE_EXPRESSION__START_POSITION

    static final int IMPERATIVE_EXPRESSION__START_POSITION

  The feature id for the 'Start Position' attribute.

### IMPERATIVE_EXPRESSION__END_POSITION

    static final int IMPERATIVE_EXPRESSION__END_POSITION

  The feature id for the 'End Position' attribute.

### IMPERATIVE_EXPRESSION_FEATURE_COUNT

    static final int IMPERATIVE_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'Imperative Expression' class.

### ALT_EXP

    static final int ALT_EXP

  The meta object id for the '`Alt Exp`' class.

  See Also:
    `AltExpImpl`, `ImperativeOCLPackageImpl.getAltExp()`, Constant Field Values

### ALT_EXP__EANNOTATIONS

    static final int ALT_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### ALT_EXP__NAME

    static final int ALT_EXP__NAME

  The feature id for the 'Name' attribute.

### ALT_EXP__ORDERED

    static final int ALT_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### ALT_EXP__UNIQUE

    static final int ALT_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### ALT_EXP__LOWER_BOUND

    static final int ALT_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### ALT_EXP__UPPER_BOUND

    static final int ALT_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### ALT_EXP__MANY

    static final int ALT_EXP__MANY

  The feature id for the 'Many' attribute.

### ALT_EXP__REQUIRED

    static final int ALT_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### ALT_EXP__ETYPE

    static final int ALT_EXP__ETYPE

  The feature id for the 'EType' reference.

### ALT_EXP__EGENERIC_TYPE

    static final int ALT_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### ALT_EXP__START_POSITION

    static final int ALT_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### ALT_EXP__END_POSITION

    static final int ALT_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### ALT_EXP__BODY

    static final int ALT_EXP__BODY

  The feature id for the 'Body' containment reference.

### ALT_EXP__CONDITION

    static final int ALT_EXP__CONDITION

  The feature id for the 'Condition' containment reference.

### ALT_EXP_FEATURE_COUNT

    static final int ALT_EXP_FEATURE_COUNT

  The number of structural features of the 'Alt Exp' class.

### ASSERT_EXP

    static final int ASSERT_EXP

  The meta object id for the '`Assert Exp`' class.

  See Also:
    `AssertExpImpl`, `ImperativeOCLPackageImpl.getAssertExp()`, Constant Field Values

### ASSERT_EXP__EANNOTATIONS

    static final int ASSERT_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### ASSERT_EXP__NAME

    static final int ASSERT_EXP__NAME

  The feature id for the 'Name' attribute.

### ASSERT_EXP__ORDERED

    static final int ASSERT_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### ASSERT_EXP__UNIQUE

    static final int ASSERT_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### ASSERT_EXP__LOWER_BOUND

    static final int ASSERT_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### ASSERT_EXP__UPPER_BOUND

    static final int ASSERT_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### ASSERT_EXP__MANY

    static final int ASSERT_EXP__MANY

  The feature id for the 'Many' attribute.

### ASSERT_EXP__REQUIRED

    static final int ASSERT_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### ASSERT_EXP__ETYPE

    static final int ASSERT_EXP__ETYPE

  The feature id for the 'EType' reference.

### ASSERT_EXP__EGENERIC_TYPE

    static final int ASSERT_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### ASSERT_EXP__START_POSITION

    static final int ASSERT_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### ASSERT_EXP__END_POSITION

    static final int ASSERT_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### ASSERT_EXP__ASSERTION

    static final int ASSERT_EXP__ASSERTION

  The feature id for the 'Assertion' containment reference.

### ASSERT_EXP__LOG

    static final int ASSERT_EXP__LOG

  The feature id for the 'Log' containment reference.

### ASSERT_EXP__SEVERITY

    static final int ASSERT_EXP__SEVERITY

  The feature id for the 'Severity' attribute.

### ASSERT_EXP_FEATURE_COUNT

    static final int ASSERT_EXP_FEATURE_COUNT

  The number of structural features of the 'Assert Exp' class.

### ASSIGN_EXP

    static final int ASSIGN_EXP

  The meta object id for the '`Assign Exp`' class.

  See Also:
    `AssignExpImpl`, `ImperativeOCLPackageImpl.getAssignExp()`, Constant Field Values

### ASSIGN_EXP__EANNOTATIONS

    static final int ASSIGN_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### ASSIGN_EXP__NAME

    static final int ASSIGN_EXP__NAME

  The feature id for the 'Name' attribute.

### ASSIGN_EXP__ORDERED

    static final int ASSIGN_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### ASSIGN_EXP__UNIQUE

    static final int ASSIGN_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### ASSIGN_EXP__LOWER_BOUND

    static final int ASSIGN_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### ASSIGN_EXP__UPPER_BOUND

    static final int ASSIGN_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### ASSIGN_EXP__MANY

    static final int ASSIGN_EXP__MANY

  The feature id for the 'Many' attribute.

### ASSIGN_EXP__REQUIRED

    static final int ASSIGN_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### ASSIGN_EXP__ETYPE

    static final int ASSIGN_EXP__ETYPE

  The feature id for the 'EType' reference.

### ASSIGN_EXP__EGENERIC_TYPE

    static final int ASSIGN_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### ASSIGN_EXP__START_POSITION

    static final int ASSIGN_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### ASSIGN_EXP__END_POSITION

    static final int ASSIGN_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### ASSIGN_EXP__DEFAULT_VALUE

    static final int ASSIGN_EXP__DEFAULT_VALUE

  The feature id for the 'Default Value' containment reference.

### ASSIGN_EXP__IS_RESET

    static final int ASSIGN_EXP__IS_RESET

  The feature id for the 'Is Reset' attribute.

### ASSIGN_EXP__LEFT

    static final int ASSIGN_EXP__LEFT

  The feature id for the 'Left' containment reference.

### ASSIGN_EXP__VALUE

    static final int ASSIGN_EXP__VALUE

  The feature id for the 'Value' containment reference list.

### ASSIGN_EXP_FEATURE_COUNT

    static final int ASSIGN_EXP_FEATURE_COUNT

  The number of structural features of the 'Assign Exp' class.

### BLOCK_EXP

    static final int BLOCK_EXP

  The meta object id for the '`Block Exp`' class.

  See Also:
    `BlockExpImpl`, `ImperativeOCLPackageImpl.getBlockExp()`, Constant Field Values

### BLOCK_EXP__EANNOTATIONS

    static final int BLOCK_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### BLOCK_EXP__NAME

    static final int BLOCK_EXP__NAME

  The feature id for the 'Name' attribute.

### BLOCK_EXP__ORDERED

    static final int BLOCK_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### BLOCK_EXP__UNIQUE

    static final int BLOCK_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### BLOCK_EXP__LOWER_BOUND

    static final int BLOCK_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### BLOCK_EXP__UPPER_BOUND

    static final int BLOCK_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### BLOCK_EXP__MANY

    static final int BLOCK_EXP__MANY

  The feature id for the 'Many' attribute.

### BLOCK_EXP__REQUIRED

    static final int BLOCK_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### BLOCK_EXP__ETYPE

    static final int BLOCK_EXP__ETYPE

  The feature id for the 'EType' reference.

### BLOCK_EXP__EGENERIC_TYPE

    static final int BLOCK_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### BLOCK_EXP__START_POSITION

    static final int BLOCK_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### BLOCK_EXP__END_POSITION

    static final int BLOCK_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### BLOCK_EXP__BODY

    static final int BLOCK_EXP__BODY

  The feature id for the 'Body' containment reference list.

### BLOCK_EXP_FEATURE_COUNT

    static final int BLOCK_EXP_FEATURE_COUNT

  The number of structural features of the 'Block Exp' class.

### BREAK_EXP

    static final int BREAK_EXP

  The meta object id for the '`Break Exp`' class.

  See Also:
    `BreakExpImpl`, `ImperativeOCLPackageImpl.getBreakExp()`, Constant Field Values

### BREAK_EXP__EANNOTATIONS

    static final int BREAK_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### BREAK_EXP__NAME

    static final int BREAK_EXP__NAME

  The feature id for the 'Name' attribute.

### BREAK_EXP__ORDERED

    static final int BREAK_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### BREAK_EXP__UNIQUE

    static final int BREAK_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### BREAK_EXP__LOWER_BOUND

    static final int BREAK_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### BREAK_EXP__UPPER_BOUND

    static final int BREAK_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### BREAK_EXP__MANY

    static final int BREAK_EXP__MANY

  The feature id for the 'Many' attribute.

### BREAK_EXP__REQUIRED

    static final int BREAK_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### BREAK_EXP__ETYPE

    static final int BREAK_EXP__ETYPE

  The feature id for the 'EType' reference.

### BREAK_EXP__EGENERIC_TYPE

    static final int BREAK_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### BREAK_EXP__START_POSITION

    static final int BREAK_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### BREAK_EXP__END_POSITION

    static final int BREAK_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### BREAK_EXP_FEATURE_COUNT

    static final int BREAK_EXP_FEATURE_COUNT

  The number of structural features of the 'Break Exp' class.

### CATCH_EXP

    static final int CATCH_EXP

  The meta object id for the '`Catch Exp`' class.

  See Also:
    `CatchExpImpl`, `ImperativeOCLPackageImpl.getCatchExp()`, Constant Field Values

### CATCH_EXP__EANNOTATIONS

    static final int CATCH_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### CATCH_EXP__NAME

    static final int CATCH_EXP__NAME

  The feature id for the 'Name' attribute.

### CATCH_EXP__ORDERED

    static final int CATCH_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### CATCH_EXP__UNIQUE

    static final int CATCH_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### CATCH_EXP__LOWER_BOUND

    static final int CATCH_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### CATCH_EXP__UPPER_BOUND

    static final int CATCH_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### CATCH_EXP__MANY

    static final int CATCH_EXP__MANY

  The feature id for the 'Many' attribute.

### CATCH_EXP__REQUIRED

    static final int CATCH_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### CATCH_EXP__ETYPE

    static final int CATCH_EXP__ETYPE

  The feature id for the 'EType' reference.

### CATCH_EXP__EGENERIC_TYPE

    static final int CATCH_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### CATCH_EXP__START_POSITION

    static final int CATCH_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### CATCH_EXP__END_POSITION

    static final int CATCH_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### CATCH_EXP__BODY

    static final int CATCH_EXP__BODY

  The feature id for the 'Body' containment reference list.

### CATCH_EXP__EXCEPTION

    static final int CATCH_EXP__EXCEPTION

  The feature id for the 'Exception' reference list.

### CATCH_EXP_FEATURE_COUNT

    static final int CATCH_EXP_FEATURE_COUNT

  The number of structural features of the 'Catch Exp' class.

### COMPUTE_EXP

    static final int COMPUTE_EXP

  The meta object id for the '`Compute Exp`' class.

  See Also:
    `ComputeExpImpl`, `ImperativeOCLPackageImpl.getComputeExp()`, Constant Field Values

### COMPUTE_EXP__EANNOTATIONS

    static final int COMPUTE_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### COMPUTE_EXP__NAME

    static final int COMPUTE_EXP__NAME

  The feature id for the 'Name' attribute.

### COMPUTE_EXP__ORDERED

    static final int COMPUTE_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### COMPUTE_EXP__UNIQUE

    static final int COMPUTE_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### COMPUTE_EXP__LOWER_BOUND

    static final int COMPUTE_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### COMPUTE_EXP__UPPER_BOUND

    static final int COMPUTE_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### COMPUTE_EXP__MANY

    static final int COMPUTE_EXP__MANY

  The feature id for the 'Many' attribute.

### COMPUTE_EXP__REQUIRED

    static final int COMPUTE_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### COMPUTE_EXP__ETYPE

    static final int COMPUTE_EXP__ETYPE

  The feature id for the 'EType' reference.

### COMPUTE_EXP__EGENERIC_TYPE

    static final int COMPUTE_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### COMPUTE_EXP__START_POSITION

    static final int COMPUTE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### COMPUTE_EXP__END_POSITION

    static final int COMPUTE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### COMPUTE_EXP__BODY

    static final int COMPUTE_EXP__BODY

  The feature id for the 'Body' containment reference.

### COMPUTE_EXP__RETURNED_ELEMENT

    static final int COMPUTE_EXP__RETURNED_ELEMENT

  The feature id for the 'Returned Element' containment reference.

### COMPUTE_EXP_FEATURE_COUNT

    static final int COMPUTE_EXP_FEATURE_COUNT

  The number of structural features of the 'Compute Exp' class.

### CONTINUE_EXP

    static final int CONTINUE_EXP

  The meta object id for the '`Continue Exp`' class.

  See Also:
    `ContinueExpImpl`, `ImperativeOCLPackageImpl.getContinueExp()`, Constant Field Values

### CONTINUE_EXP__EANNOTATIONS

    static final int CONTINUE_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### CONTINUE_EXP__NAME

    static final int CONTINUE_EXP__NAME

  The feature id for the 'Name' attribute.

### CONTINUE_EXP__ORDERED

    static final int CONTINUE_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### CONTINUE_EXP__UNIQUE

    static final int CONTINUE_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### CONTINUE_EXP__LOWER_BOUND

    static final int CONTINUE_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### CONTINUE_EXP__UPPER_BOUND

    static final int CONTINUE_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### CONTINUE_EXP__MANY

    static final int CONTINUE_EXP__MANY

  The feature id for the 'Many' attribute.

### CONTINUE_EXP__REQUIRED

    static final int CONTINUE_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### CONTINUE_EXP__ETYPE

    static final int CONTINUE_EXP__ETYPE

  The feature id for the 'EType' reference.

### CONTINUE_EXP__EGENERIC_TYPE

    static final int CONTINUE_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### CONTINUE_EXP__START_POSITION

    static final int CONTINUE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### CONTINUE_EXP__END_POSITION

    static final int CONTINUE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### CONTINUE_EXP_FEATURE_COUNT

    static final int CONTINUE_EXP_FEATURE_COUNT

  The number of structural features of the 'Continue Exp' class.

### DICT_LITERAL_EXP

    static final int DICT_LITERAL_EXP

  The meta object id for the '`Dict Literal Exp`' class.

  See Also:
    `DictLiteralExpImpl`, `ImperativeOCLPackageImpl.getDictLiteralExp()`, Constant Field Values

### DICT_LITERAL_EXP__EANNOTATIONS

    static final int DICT_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### DICT_LITERAL_EXP__NAME

    static final int DICT_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

### DICT_LITERAL_EXP__ORDERED

    static final int DICT_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### DICT_LITERAL_EXP__UNIQUE

    static final int DICT_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### DICT_LITERAL_EXP__LOWER_BOUND

    static final int DICT_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### DICT_LITERAL_EXP__UPPER_BOUND

    static final int DICT_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### DICT_LITERAL_EXP__MANY

    static final int DICT_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

### DICT_LITERAL_EXP__REQUIRED

    static final int DICT_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### DICT_LITERAL_EXP__ETYPE

    static final int DICT_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

### DICT_LITERAL_EXP__EGENERIC_TYPE

    static final int DICT_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### DICT_LITERAL_EXP__START_POSITION

    static final int DICT_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### DICT_LITERAL_EXP__END_POSITION

    static final int DICT_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### DICT_LITERAL_EXP__PART

    static final int DICT_LITERAL_EXP__PART

  The feature id for the 'Part' containment reference list.

### DICT_LITERAL_EXP_FEATURE_COUNT

    static final int DICT_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Dict Literal Exp' class.

### DICT_LITERAL_PART

    static final int DICT_LITERAL_PART

  The meta object id for the '`Dict Literal Part`' class.

  See Also:
    `DictLiteralPartImpl`, `ImperativeOCLPackageImpl.getDictLiteralPart()`, Constant Field Values

### DICT_LITERAL_PART__EANNOTATIONS

    static final int DICT_LITERAL_PART__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### DICT_LITERAL_PART__KEY

    static final int DICT_LITERAL_PART__KEY

  The feature id for the 'Key' containment reference.

### DICT_LITERAL_PART__VALUE

    static final int DICT_LITERAL_PART__VALUE

  The feature id for the 'Value' containment reference.

### DICT_LITERAL_PART_FEATURE_COUNT

    static final int DICT_LITERAL_PART_FEATURE_COUNT

  The number of structural features of the 'Dict Literal Part' class.

### DICTIONARY_TYPE

    static final int DICTIONARY_TYPE

  The meta object id for the '`Dictionary Type`' class.

  See Also:
    `DictionaryTypeImpl`, `ImperativeOCLPackageImpl.getDictionaryType()`, Constant Field Values

### DICTIONARY_TYPE__EANNOTATIONS

    static final int DICTIONARY_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### DICTIONARY_TYPE__NAME

    static final int DICTIONARY_TYPE__NAME

  The feature id for the 'Name' attribute.

### DICTIONARY_TYPE__INSTANCE_CLASS_NAME

    static final int DICTIONARY_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

### DICTIONARY_TYPE__INSTANCE_CLASS

    static final int DICTIONARY_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

### DICTIONARY_TYPE__DEFAULT_VALUE

    static final int DICTIONARY_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

### DICTIONARY_TYPE__INSTANCE_TYPE_NAME

    static final int DICTIONARY_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

### DICTIONARY_TYPE__EPACKAGE

    static final int DICTIONARY_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

### DICTIONARY_TYPE__ETYPE_PARAMETERS

    static final int DICTIONARY_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

### DICTIONARY_TYPE__SERIALIZABLE

    static final int DICTIONARY_TYPE__SERIALIZABLE

  The feature id for the 'Serializable' attribute.

### DICTIONARY_TYPE__START_POSITION

    static final int DICTIONARY_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

### DICTIONARY_TYPE__END_POSITION

    static final int DICTIONARY_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

### DICTIONARY_TYPE__TYPE_START_POSITION

    static final int DICTIONARY_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

### DICTIONARY_TYPE__TYPE_END_POSITION

    static final int DICTIONARY_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

### DICTIONARY_TYPE__ELEMENT_TYPE

    static final int DICTIONARY_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

### DICTIONARY_TYPE__KIND

    static final int DICTIONARY_TYPE__KIND

  The feature id for the 'Kind' attribute.

### DICTIONARY_TYPE__KEY_TYPE

    static final int DICTIONARY_TYPE__KEY_TYPE

  The feature id for the 'Key Type' reference.

### DICTIONARY_TYPE_FEATURE_COUNT

    static final int DICTIONARY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Dictionary Type' class.

### IMPERATIVE_LOOP_EXP

    static final int IMPERATIVE_LOOP_EXP

  The meta object id for the '`Imperative Loop Exp`' class.

  See Also:
    `ImperativeLoopExpImpl`, `ImperativeOCLPackageImpl.getImperativeLoopExp()`, Constant Field Values

### IMPERATIVE_LOOP_EXP__EANNOTATIONS

    static final int IMPERATIVE_LOOP_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### IMPERATIVE_LOOP_EXP__NAME

    static final int IMPERATIVE_LOOP_EXP__NAME

  The feature id for the 'Name' attribute.

### IMPERATIVE_LOOP_EXP__ORDERED

    static final int IMPERATIVE_LOOP_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### IMPERATIVE_LOOP_EXP__UNIQUE

    static final int IMPERATIVE_LOOP_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### IMPERATIVE_LOOP_EXP__LOWER_BOUND

    static final int IMPERATIVE_LOOP_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### IMPERATIVE_LOOP_EXP__UPPER_BOUND

    static final int IMPERATIVE_LOOP_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### IMPERATIVE_LOOP_EXP__MANY

    static final int IMPERATIVE_LOOP_EXP__MANY

  The feature id for the 'Many' attribute.

### IMPERATIVE_LOOP_EXP__REQUIRED

    static final int IMPERATIVE_LOOP_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### IMPERATIVE_LOOP_EXP__ETYPE

    static final int IMPERATIVE_LOOP_EXP__ETYPE

  The feature id for the 'EType' reference.

### IMPERATIVE_LOOP_EXP__EGENERIC_TYPE

    static final int IMPERATIVE_LOOP_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### IMPERATIVE_LOOP_EXP__START_POSITION

    static final int IMPERATIVE_LOOP_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### IMPERATIVE_LOOP_EXP__END_POSITION

    static final int IMPERATIVE_LOOP_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### IMPERATIVE_LOOP_EXP__PROPERTY_START_POSITION

    static final int IMPERATIVE_LOOP_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

### IMPERATIVE_LOOP_EXP__PROPERTY_END_POSITION

    static final int IMPERATIVE_LOOP_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

### IMPERATIVE_LOOP_EXP__SOURCE

    static final int IMPERATIVE_LOOP_EXP__SOURCE

  The feature id for the 'Source' containment reference.

### IMPERATIVE_LOOP_EXP__BODY

    static final int IMPERATIVE_LOOP_EXP__BODY

  The feature id for the 'Body' containment reference.

### IMPERATIVE_LOOP_EXP__ITERATOR

    static final int IMPERATIVE_LOOP_EXP__ITERATOR

  The feature id for the 'Iterator' containment reference list.

### IMPERATIVE_LOOP_EXP__CONDITION

    static final int IMPERATIVE_LOOP_EXP__CONDITION

  The feature id for the 'Condition' containment reference.

### IMPERATIVE_LOOP_EXP_FEATURE_COUNT

    static final int IMPERATIVE_LOOP_EXP_FEATURE_COUNT

  The number of structural features of the 'Imperative Loop Exp' class.

### FOR_EXP

    static final int FOR_EXP

  The meta object id for the '`For Exp`' class.

  See Also:
    `ForExpImpl`, `ImperativeOCLPackageImpl.getForExp()`, Constant Field Values

### FOR_EXP__EANNOTATIONS

    static final int FOR_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### FOR_EXP__NAME

    static final int FOR_EXP__NAME

  The feature id for the 'Name' attribute.

### FOR_EXP__ORDERED

    static final int FOR_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### FOR_EXP__UNIQUE

    static final int FOR_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### FOR_EXP__LOWER_BOUND

    static final int FOR_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### FOR_EXP__UPPER_BOUND

    static final int FOR_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### FOR_EXP__MANY

    static final int FOR_EXP__MANY

  The feature id for the 'Many' attribute.

### FOR_EXP__REQUIRED

    static final int FOR_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### FOR_EXP__ETYPE

    static final int FOR_EXP__ETYPE

  The feature id for the 'EType' reference.

### FOR_EXP__EGENERIC_TYPE

    static final int FOR_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### FOR_EXP__START_POSITION

    static final int FOR_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### FOR_EXP__END_POSITION

    static final int FOR_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### FOR_EXP__PROPERTY_START_POSITION

    static final int FOR_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

### FOR_EXP__PROPERTY_END_POSITION

    static final int FOR_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

### FOR_EXP__SOURCE

    static final int FOR_EXP__SOURCE

  The feature id for the 'Source' containment reference.

### FOR_EXP__BODY

    static final int FOR_EXP__BODY

  The feature id for the 'Body' containment reference.

### FOR_EXP__ITERATOR

    static final int FOR_EXP__ITERATOR

  The feature id for the 'Iterator' containment reference list.

### FOR_EXP__CONDITION

    static final int FOR_EXP__CONDITION

  The feature id for the 'Condition' containment reference.

### FOR_EXP_FEATURE_COUNT

    static final int FOR_EXP_FEATURE_COUNT

  The number of structural features of the 'For Exp' class.

### IMPERATIVE_ITERATE_EXP

    static final int IMPERATIVE_ITERATE_EXP

  The meta object id for the '`Imperative Iterate Exp`' class.

  See Also:
    `ImperativeIterateExpImpl`, `ImperativeOCLPackageImpl.getImperativeIterateExp()`, Constant Field Values

### IMPERATIVE_ITERATE_EXP__EANNOTATIONS

    static final int IMPERATIVE_ITERATE_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### IMPERATIVE_ITERATE_EXP__NAME

    static final int IMPERATIVE_ITERATE_EXP__NAME

  The feature id for the 'Name' attribute.

### IMPERATIVE_ITERATE_EXP__ORDERED

    static final int IMPERATIVE_ITERATE_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### IMPERATIVE_ITERATE_EXP__UNIQUE

    static final int IMPERATIVE_ITERATE_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### IMPERATIVE_ITERATE_EXP__LOWER_BOUND

    static final int IMPERATIVE_ITERATE_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### IMPERATIVE_ITERATE_EXP__UPPER_BOUND

    static final int IMPERATIVE_ITERATE_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### IMPERATIVE_ITERATE_EXP__MANY

    static final int IMPERATIVE_ITERATE_EXP__MANY

  The feature id for the 'Many' attribute.

### IMPERATIVE_ITERATE_EXP__REQUIRED

    static final int IMPERATIVE_ITERATE_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### IMPERATIVE_ITERATE_EXP__ETYPE

    static final int IMPERATIVE_ITERATE_EXP__ETYPE

  The feature id for the 'EType' reference.

### IMPERATIVE_ITERATE_EXP__EGENERIC_TYPE

    static final int IMPERATIVE_ITERATE_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### IMPERATIVE_ITERATE_EXP__START_POSITION

    static final int IMPERATIVE_ITERATE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### IMPERATIVE_ITERATE_EXP__END_POSITION

    static final int IMPERATIVE_ITERATE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### IMPERATIVE_ITERATE_EXP__PROPERTY_START_POSITION

    static final int IMPERATIVE_ITERATE_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

### IMPERATIVE_ITERATE_EXP__PROPERTY_END_POSITION

    static final int IMPERATIVE_ITERATE_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

### IMPERATIVE_ITERATE_EXP__SOURCE

    static final int IMPERATIVE_ITERATE_EXP__SOURCE

  The feature id for the 'Source' containment reference.

### IMPERATIVE_ITERATE_EXP__BODY

    static final int IMPERATIVE_ITERATE_EXP__BODY

  The feature id for the 'Body' containment reference.

### IMPERATIVE_ITERATE_EXP__ITERATOR

    static final int IMPERATIVE_ITERATE_EXP__ITERATOR

  The feature id for the 'Iterator' containment reference list.

### IMPERATIVE_ITERATE_EXP__CONDITION

    static final int IMPERATIVE_ITERATE_EXP__CONDITION

  The feature id for the 'Condition' containment reference.

### IMPERATIVE_ITERATE_EXP__TARGET

    static final int IMPERATIVE_ITERATE_EXP__TARGET

  The feature id for the 'Target' containment reference.

### IMPERATIVE_ITERATE_EXP_FEATURE_COUNT

    static final int IMPERATIVE_ITERATE_EXP_FEATURE_COUNT

  The number of structural features of the 'Imperative Iterate Exp' class.

### INSTANTIATION_EXP

    static final int INSTANTIATION_EXP

  The meta object id for the '`Instantiation Exp`' class.

  See Also:
    `InstantiationExpImpl`, `ImperativeOCLPackageImpl.getInstantiationExp()`, Constant Field Values

### INSTANTIATION_EXP__EANNOTATIONS

    static final int INSTANTIATION_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### INSTANTIATION_EXP__NAME

    static final int INSTANTIATION_EXP__NAME

  The feature id for the 'Name' attribute.

### INSTANTIATION_EXP__ORDERED

    static final int INSTANTIATION_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### INSTANTIATION_EXP__UNIQUE

    static final int INSTANTIATION_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### INSTANTIATION_EXP__LOWER_BOUND

    static final int INSTANTIATION_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### INSTANTIATION_EXP__UPPER_BOUND

    static final int INSTANTIATION_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### INSTANTIATION_EXP__MANY

    static final int INSTANTIATION_EXP__MANY

  The feature id for the 'Many' attribute.

### INSTANTIATION_EXP__REQUIRED

    static final int INSTANTIATION_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### INSTANTIATION_EXP__ETYPE

    static final int INSTANTIATION_EXP__ETYPE

  The feature id for the 'EType' reference.

### INSTANTIATION_EXP__EGENERIC_TYPE

    static final int INSTANTIATION_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### INSTANTIATION_EXP__START_POSITION

    static final int INSTANTIATION_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### INSTANTIATION_EXP__END_POSITION

    static final int INSTANTIATION_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### INSTANTIATION_EXP__ARGUMENT

    static final int INSTANTIATION_EXP__ARGUMENT

  The feature id for the 'Argument' containment reference list.

### INSTANTIATION_EXP__EXTENT

    static final int INSTANTIATION_EXP__EXTENT

  The feature id for the 'Extent' reference.

### INSTANTIATION_EXP__INSTANTIATED_CLASS

    static final int INSTANTIATION_EXP__INSTANTIATED_CLASS

  The feature id for the 'Instantiated Class' reference.

### INSTANTIATION_EXP_FEATURE_COUNT

    static final int INSTANTIATION_EXP_FEATURE_COUNT

  The number of structural features of the 'Instantiation Exp' class.

### LIST_LITERAL_EXP

    static final int LIST_LITERAL_EXP

  The meta object id for the '`List Literal Exp`' class.

  Since:
    3.0
  See Also:
    `ListLiteralExpImpl`, `ImperativeOCLPackageImpl.getListLiteralExp()`, Constant Field Values

### LIST_LITERAL_EXP__EANNOTATIONS

    static final int LIST_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  Since:
    3.0

### LIST_LITERAL_EXP__NAME

    static final int LIST_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  Since:
    3.0

### LIST_LITERAL_EXP__ORDERED

    static final int LIST_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  Since:
    3.0

### LIST_LITERAL_EXP__UNIQUE

    static final int LIST_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  Since:
    3.0

### LIST_LITERAL_EXP__LOWER_BOUND

    static final int LIST_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  Since:
    3.0

### LIST_LITERAL_EXP__UPPER_BOUND

    static final int LIST_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  Since:
    3.0

### LIST_LITERAL_EXP__MANY

    static final int LIST_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  Since:
    3.0

### LIST_LITERAL_EXP__REQUIRED

    static final int LIST_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  Since:
    3.0

### LIST_LITERAL_EXP__ETYPE

    static final int LIST_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  Since:
    3.0

### LIST_LITERAL_EXP__EGENERIC_TYPE

    static final int LIST_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  Since:
    3.0

### LIST_LITERAL_EXP__START_POSITION

    static final int LIST_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  Since:
    3.0

### LIST_LITERAL_EXP__END_POSITION

    static final int LIST_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  Since:
    3.0

### LIST_LITERAL_EXP__ELEMENT

    static final int LIST_LITERAL_EXP__ELEMENT

  The feature id for the 'Element' containment reference list.

  Since:
    3.0

### LIST_LITERAL_EXP_FEATURE_COUNT

    static final int LIST_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'List Literal Exp' class.

  Since:
    3.0

### LIST_TYPE

    static final int LIST_TYPE

  The meta object id for the '`List Type`' class.

  See Also:
    `ListTypeImpl`, `ImperativeOCLPackageImpl.getListType()`, Constant Field Values

### LIST_TYPE__EANNOTATIONS

    static final int LIST_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### LIST_TYPE__NAME

    static final int LIST_TYPE__NAME

  The feature id for the 'Name' attribute.

### LIST_TYPE__INSTANCE_CLASS_NAME

    static final int LIST_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

### LIST_TYPE__INSTANCE_CLASS

    static final int LIST_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

### LIST_TYPE__DEFAULT_VALUE

    static final int LIST_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

### LIST_TYPE__INSTANCE_TYPE_NAME

    static final int LIST_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

### LIST_TYPE__EPACKAGE

    static final int LIST_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

### LIST_TYPE__ETYPE_PARAMETERS

    static final int LIST_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

### LIST_TYPE__SERIALIZABLE

    static final int LIST_TYPE__SERIALIZABLE

  The feature id for the 'Serializable' attribute.

### LIST_TYPE__START_POSITION

    static final int LIST_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

### LIST_TYPE__END_POSITION

    static final int LIST_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

### LIST_TYPE__TYPE_START_POSITION

    static final int LIST_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

### LIST_TYPE__TYPE_END_POSITION

    static final int LIST_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

### LIST_TYPE__ELEMENT_TYPE

    static final int LIST_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

### LIST_TYPE__KIND

    static final int LIST_TYPE__KIND

  The feature id for the 'Kind' attribute.

### LIST_TYPE_FEATURE_COUNT

    static final int LIST_TYPE_FEATURE_COUNT

  The number of structural features of the 'List Type' class.

### LOG_EXP

    static final int LOG_EXP

  The meta object id for the '`Log Exp`' class.

  See Also:
    `LogExpImpl`, `ImperativeOCLPackageImpl.getLogExp()`, Constant Field Values

### LOG_EXP__EANNOTATIONS

    static final int LOG_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### LOG_EXP__NAME

    static final int LOG_EXP__NAME

  The feature id for the 'Name' attribute.

### LOG_EXP__ORDERED

    static final int LOG_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### LOG_EXP__UNIQUE

    static final int LOG_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### LOG_EXP__LOWER_BOUND

    static final int LOG_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### LOG_EXP__UPPER_BOUND

    static final int LOG_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### LOG_EXP__MANY

    static final int LOG_EXP__MANY

  The feature id for the 'Many' attribute.

### LOG_EXP__REQUIRED

    static final int LOG_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### LOG_EXP__ETYPE

    static final int LOG_EXP__ETYPE

  The feature id for the 'EType' reference.

### LOG_EXP__EGENERIC_TYPE

    static final int LOG_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### LOG_EXP__START_POSITION

    static final int LOG_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### LOG_EXP__END_POSITION

    static final int LOG_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### LOG_EXP__PROPERTY_START_POSITION

    static final int LOG_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

### LOG_EXP__PROPERTY_END_POSITION

    static final int LOG_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

### LOG_EXP__SOURCE

    static final int LOG_EXP__SOURCE

  The feature id for the 'Source' containment reference.

### LOG_EXP__MARKED_PRE

    static final int LOG_EXP__MARKED_PRE

  The feature id for the 'Marked Pre' attribute.

### LOG_EXP__ARGUMENT

    static final int LOG_EXP__ARGUMENT

  The feature id for the 'Argument' containment reference list.

### LOG_EXP__REFERRED_OPERATION

    static final int LOG_EXP__REFERRED_OPERATION

  The feature id for the 'Referred Operation' reference.

### LOG_EXP__OPERATION_CODE

    static final int LOG_EXP__OPERATION_CODE

  The feature id for the 'Operation Code' attribute.

### LOG_EXP__CONDITION

    static final int LOG_EXP__CONDITION

  The feature id for the 'Condition' containment reference.

### LOG_EXP_FEATURE_COUNT

    static final int LOG_EXP_FEATURE_COUNT

  The number of structural features of the 'Log Exp' class.

### ORDERED_TUPLE_LITERAL_EXP

    static final int ORDERED_TUPLE_LITERAL_EXP

  The meta object id for the '`Ordered Tuple Literal Exp`' class.

  See Also:
    `OrderedTupleLiteralExpImpl`, `ImperativeOCLPackageImpl.getOrderedTupleLiteralExp()`, Constant Field Values

### ORDERED_TUPLE_LITERAL_EXP__EANNOTATIONS

    static final int ORDERED_TUPLE_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### ORDERED_TUPLE_LITERAL_EXP__NAME

    static final int ORDERED_TUPLE_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

### ORDERED_TUPLE_LITERAL_EXP__ORDERED

    static final int ORDERED_TUPLE_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### ORDERED_TUPLE_LITERAL_EXP__UNIQUE

    static final int ORDERED_TUPLE_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### ORDERED_TUPLE_LITERAL_EXP__LOWER_BOUND

    static final int ORDERED_TUPLE_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### ORDERED_TUPLE_LITERAL_EXP__UPPER_BOUND

    static final int ORDERED_TUPLE_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### ORDERED_TUPLE_LITERAL_EXP__MANY

    static final int ORDERED_TUPLE_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

### ORDERED_TUPLE_LITERAL_EXP__REQUIRED

    static final int ORDERED_TUPLE_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### ORDERED_TUPLE_LITERAL_EXP__ETYPE

    static final int ORDERED_TUPLE_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

### ORDERED_TUPLE_LITERAL_EXP__EGENERIC_TYPE

    static final int ORDERED_TUPLE_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### ORDERED_TUPLE_LITERAL_EXP__START_POSITION

    static final int ORDERED_TUPLE_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### ORDERED_TUPLE_LITERAL_EXP__END_POSITION

    static final int ORDERED_TUPLE_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### ORDERED_TUPLE_LITERAL_EXP__PART

    static final int ORDERED_TUPLE_LITERAL_EXP__PART

  The feature id for the 'Part' containment reference list.

### ORDERED_TUPLE_LITERAL_EXP_FEATURE_COUNT

    static final int ORDERED_TUPLE_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Ordered Tuple Literal Exp' class.

### ORDERED_TUPLE_LITERAL_PART

    static final int ORDERED_TUPLE_LITERAL_PART

  The meta object id for the '`Ordered Tuple Literal Part`' class.

  See Also:
    `OrderedTupleLiteralPartImpl`, `ImperativeOCLPackageImpl.getOrderedTupleLiteralPart()`, Constant Field Values

### ORDERED_TUPLE_LITERAL_PART__EANNOTATIONS

    static final int ORDERED_TUPLE_LITERAL_PART__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### ORDERED_TUPLE_LITERAL_PART__VALUE

    static final int ORDERED_TUPLE_LITERAL_PART__VALUE

  The feature id for the 'Value' containment reference.

### ORDERED_TUPLE_LITERAL_PART_FEATURE_COUNT

    static final int ORDERED_TUPLE_LITERAL_PART_FEATURE_COUNT

  The number of structural features of the 'Ordered Tuple Literal Part' class.

### ORDERED_TUPLE_TYPE

    static final int ORDERED_TUPLE_TYPE

  The meta object id for the '`Ordered Tuple Type`' class.

  See Also:
    `OrderedTupleTypeImpl`, `ImperativeOCLPackageImpl.getOrderedTupleType()`, Constant Field Values

### ORDERED_TUPLE_TYPE__EANNOTATIONS

    static final int ORDERED_TUPLE_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### ORDERED_TUPLE_TYPE__NAME

    static final int ORDERED_TUPLE_TYPE__NAME

  The feature id for the 'Name' attribute.

### ORDERED_TUPLE_TYPE__INSTANCE_CLASS_NAME

    static final int ORDERED_TUPLE_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

### ORDERED_TUPLE_TYPE__INSTANCE_CLASS

    static final int ORDERED_TUPLE_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

### ORDERED_TUPLE_TYPE__DEFAULT_VALUE

    static final int ORDERED_TUPLE_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

### ORDERED_TUPLE_TYPE__INSTANCE_TYPE_NAME

    static final int ORDERED_TUPLE_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

### ORDERED_TUPLE_TYPE__EPACKAGE

    static final int ORDERED_TUPLE_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

### ORDERED_TUPLE_TYPE__ETYPE_PARAMETERS

    static final int ORDERED_TUPLE_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

### ORDERED_TUPLE_TYPE__ABSTRACT

    static final int ORDERED_TUPLE_TYPE__ABSTRACT

  The feature id for the 'Abstract' attribute.

### ORDERED_TUPLE_TYPE__INTERFACE

    static final int ORDERED_TUPLE_TYPE__INTERFACE

  The feature id for the 'Interface' attribute.

### ORDERED_TUPLE_TYPE__ESUPER_TYPES

    static final int ORDERED_TUPLE_TYPE__ESUPER_TYPES

  The feature id for the 'ESuper Types' reference list.

### ORDERED_TUPLE_TYPE__EOPERATIONS

    static final int ORDERED_TUPLE_TYPE__EOPERATIONS

  The feature id for the 'EOperations' containment reference list.

### ORDERED_TUPLE_TYPE__EALL_ATTRIBUTES

    static final int ORDERED_TUPLE_TYPE__EALL_ATTRIBUTES

  The feature id for the 'EAll Attributes' reference list.

### ORDERED_TUPLE_TYPE__EALL_REFERENCES

    static final int ORDERED_TUPLE_TYPE__EALL_REFERENCES

  The feature id for the 'EAll References' reference list.

### ORDERED_TUPLE_TYPE__EREFERENCES

    static final int ORDERED_TUPLE_TYPE__EREFERENCES

  The feature id for the 'EReferences' reference list.

### ORDERED_TUPLE_TYPE__EATTRIBUTES

    static final int ORDERED_TUPLE_TYPE__EATTRIBUTES

  The feature id for the 'EAttributes' reference list.

### ORDERED_TUPLE_TYPE__EALL_CONTAINMENTS

    static final int ORDERED_TUPLE_TYPE__EALL_CONTAINMENTS

  The feature id for the 'EAll Containments' reference list.

### ORDERED_TUPLE_TYPE__EALL_OPERATIONS

    static final int ORDERED_TUPLE_TYPE__EALL_OPERATIONS

  The feature id for the 'EAll Operations' reference list.

### ORDERED_TUPLE_TYPE__EALL_STRUCTURAL_FEATURES

    static final int ORDERED_TUPLE_TYPE__EALL_STRUCTURAL_FEATURES

  The feature id for the 'EAll Structural Features' reference list.

### ORDERED_TUPLE_TYPE__EALL_SUPER_TYPES

    static final int ORDERED_TUPLE_TYPE__EALL_SUPER_TYPES

  The feature id for the 'EAll Super Types' reference list.

### ORDERED_TUPLE_TYPE__EID_ATTRIBUTE

    static final int ORDERED_TUPLE_TYPE__EID_ATTRIBUTE

  The feature id for the 'EID Attribute' reference.

### ORDERED_TUPLE_TYPE__ESTRUCTURAL_FEATURES

    static final int ORDERED_TUPLE_TYPE__ESTRUCTURAL_FEATURES

  The feature id for the 'EStructural Features' containment reference list.

### ORDERED_TUPLE_TYPE__EGENERIC_SUPER_TYPES

    static final int ORDERED_TUPLE_TYPE__EGENERIC_SUPER_TYPES

  The feature id for the 'EGeneric Super Types' containment reference list.

### ORDERED_TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES

    static final int ORDERED_TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES

  The feature id for the 'EAll Generic Super Types' reference list.

### ORDERED_TUPLE_TYPE__ELEMENT_TYPE

    static final int ORDERED_TUPLE_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference list.

### ORDERED_TUPLE_TYPE_FEATURE_COUNT

    static final int ORDERED_TUPLE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Ordered Tuple Type' class.

### RAISE_EXP

    static final int RAISE_EXP

  The meta object id for the '`Raise Exp`' class.

  See Also:
    `RaiseExpImpl`, `ImperativeOCLPackageImpl.getRaiseExp()`, Constant Field Values

### RAISE_EXP__EANNOTATIONS

    static final int RAISE_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### RAISE_EXP__NAME

    static final int RAISE_EXP__NAME

  The feature id for the 'Name' attribute.

### RAISE_EXP__ORDERED

    static final int RAISE_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### RAISE_EXP__UNIQUE

    static final int RAISE_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### RAISE_EXP__LOWER_BOUND

    static final int RAISE_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### RAISE_EXP__UPPER_BOUND

    static final int RAISE_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### RAISE_EXP__MANY

    static final int RAISE_EXP__MANY

  The feature id for the 'Many' attribute.

### RAISE_EXP__REQUIRED

    static final int RAISE_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### RAISE_EXP__ETYPE

    static final int RAISE_EXP__ETYPE

  The feature id for the 'EType' reference.

### RAISE_EXP__EGENERIC_TYPE

    static final int RAISE_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### RAISE_EXP__START_POSITION

    static final int RAISE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### RAISE_EXP__END_POSITION

    static final int RAISE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### RAISE_EXP__ARGUMENT

    static final int RAISE_EXP__ARGUMENT

  The feature id for the 'Argument' containment reference.

### RAISE_EXP__EXCEPTION

    static final int RAISE_EXP__EXCEPTION

  The feature id for the 'Exception' reference.

### RAISE_EXP_FEATURE_COUNT

    static final int RAISE_EXP_FEATURE_COUNT

  The number of structural features of the 'Raise Exp' class.

### RETURN_EXP

    static final int RETURN_EXP

  The meta object id for the '`Return Exp`' class.

  See Also:
    `ReturnExpImpl`, `ImperativeOCLPackageImpl.getReturnExp()`, Constant Field Values

### RETURN_EXP__EANNOTATIONS

    static final int RETURN_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### RETURN_EXP__NAME

    static final int RETURN_EXP__NAME

  The feature id for the 'Name' attribute.

### RETURN_EXP__ORDERED

    static final int RETURN_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### RETURN_EXP__UNIQUE

    static final int RETURN_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### RETURN_EXP__LOWER_BOUND

    static final int RETURN_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### RETURN_EXP__UPPER_BOUND

    static final int RETURN_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### RETURN_EXP__MANY

    static final int RETURN_EXP__MANY

  The feature id for the 'Many' attribute.

### RETURN_EXP__REQUIRED

    static final int RETURN_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### RETURN_EXP__ETYPE

    static final int RETURN_EXP__ETYPE

  The feature id for the 'EType' reference.

### RETURN_EXP__EGENERIC_TYPE

    static final int RETURN_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### RETURN_EXP__START_POSITION

    static final int RETURN_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### RETURN_EXP__END_POSITION

    static final int RETURN_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### RETURN_EXP__VALUE

    static final int RETURN_EXP__VALUE

  The feature id for the 'Value' containment reference.

### RETURN_EXP_FEATURE_COUNT

    static final int RETURN_EXP_FEATURE_COUNT

  The number of structural features of the 'Return Exp' class.

### SWITCH_EXP

    static final int SWITCH_EXP

  The meta object id for the '`Switch Exp`' class.

  See Also:
    `SwitchExpImpl`, `ImperativeOCLPackageImpl.getSwitchExp()`, Constant Field Values

### SWITCH_EXP__EANNOTATIONS

    static final int SWITCH_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### SWITCH_EXP__NAME

    static final int SWITCH_EXP__NAME

  The feature id for the 'Name' attribute.

### SWITCH_EXP__ORDERED

    static final int SWITCH_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### SWITCH_EXP__UNIQUE

    static final int SWITCH_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### SWITCH_EXP__LOWER_BOUND

    static final int SWITCH_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### SWITCH_EXP__UPPER_BOUND

    static final int SWITCH_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### SWITCH_EXP__MANY

    static final int SWITCH_EXP__MANY

  The feature id for the 'Many' attribute.

### SWITCH_EXP__REQUIRED

    static final int SWITCH_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### SWITCH_EXP__ETYPE

    static final int SWITCH_EXP__ETYPE

  The feature id for the 'EType' reference.

### SWITCH_EXP__EGENERIC_TYPE

    static final int SWITCH_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### SWITCH_EXP__START_POSITION

    static final int SWITCH_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### SWITCH_EXP__END_POSITION

    static final int SWITCH_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### SWITCH_EXP__ALTERNATIVE_PART

    static final int SWITCH_EXP__ALTERNATIVE_PART

  The feature id for the 'Alternative Part' containment reference list.

### SWITCH_EXP__ELSE_PART

    static final int SWITCH_EXP__ELSE_PART

  The feature id for the 'Else Part' containment reference.

### SWITCH_EXP_FEATURE_COUNT

    static final int SWITCH_EXP_FEATURE_COUNT

  The number of structural features of the 'Switch Exp' class.

### TRY_EXP

    static final int TRY_EXP

  The meta object id for the '`Try Exp`' class.

  See Also:
    `TryExpImpl`, `ImperativeOCLPackageImpl.getTryExp()`, Constant Field Values

### TRY_EXP__EANNOTATIONS

    static final int TRY_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### TRY_EXP__NAME

    static final int TRY_EXP__NAME

  The feature id for the 'Name' attribute.

### TRY_EXP__ORDERED

    static final int TRY_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### TRY_EXP__UNIQUE

    static final int TRY_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### TRY_EXP__LOWER_BOUND

    static final int TRY_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### TRY_EXP__UPPER_BOUND

    static final int TRY_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### TRY_EXP__MANY

    static final int TRY_EXP__MANY

  The feature id for the 'Many' attribute.

### TRY_EXP__REQUIRED

    static final int TRY_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### TRY_EXP__ETYPE

    static final int TRY_EXP__ETYPE

  The feature id for the 'EType' reference.

### TRY_EXP__EGENERIC_TYPE

    static final int TRY_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### TRY_EXP__START_POSITION

    static final int TRY_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### TRY_EXP__END_POSITION

    static final int TRY_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### TRY_EXP__EXCEPT_CLAUSE

    static final int TRY_EXP__EXCEPT_CLAUSE

  The feature id for the 'Except Clause' containment reference list.

### TRY_EXP__TRY_BODY

    static final int TRY_EXP__TRY_BODY

  The feature id for the 'Try Body' containment reference list.

### TRY_EXP_FEATURE_COUNT

    static final int TRY_EXP_FEATURE_COUNT

  The number of structural features of the 'Try Exp' class.

### TYPEDEF

    static final int TYPEDEF

  The meta object id for the '`Typedef`' class.

  See Also:
    `TypedefImpl`, `ImperativeOCLPackageImpl.getTypedef()`, Constant Field Values

### TYPEDEF__EANNOTATIONS

    static final int TYPEDEF__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### TYPEDEF__NAME

    static final int TYPEDEF__NAME

  The feature id for the 'Name' attribute.

### TYPEDEF__INSTANCE_CLASS_NAME

    static final int TYPEDEF__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

### TYPEDEF__INSTANCE_CLASS

    static final int TYPEDEF__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

### TYPEDEF__DEFAULT_VALUE

    static final int TYPEDEF__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

### TYPEDEF__INSTANCE_TYPE_NAME

    static final int TYPEDEF__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

### TYPEDEF__EPACKAGE

    static final int TYPEDEF__EPACKAGE

  The feature id for the 'EPackage' container reference.

### TYPEDEF__ETYPE_PARAMETERS

    static final int TYPEDEF__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

### TYPEDEF__ABSTRACT

    static final int TYPEDEF__ABSTRACT

  The feature id for the 'Abstract' attribute.

### TYPEDEF__INTERFACE

    static final int TYPEDEF__INTERFACE

  The feature id for the 'Interface' attribute.

### TYPEDEF__ESUPER_TYPES

    static final int TYPEDEF__ESUPER_TYPES

  The feature id for the 'ESuper Types' reference list.

### TYPEDEF__EOPERATIONS

    static final int TYPEDEF__EOPERATIONS

  The feature id for the 'EOperations' containment reference list.

### TYPEDEF__EALL_ATTRIBUTES

    static final int TYPEDEF__EALL_ATTRIBUTES

  The feature id for the 'EAll Attributes' reference list.

### TYPEDEF__EALL_REFERENCES

    static final int TYPEDEF__EALL_REFERENCES

  The feature id for the 'EAll References' reference list.

### TYPEDEF__EREFERENCES

    static final int TYPEDEF__EREFERENCES

  The feature id for the 'EReferences' reference list.

### TYPEDEF__EATTRIBUTES

    static final int TYPEDEF__EATTRIBUTES

  The feature id for the 'EAttributes' reference list.

### TYPEDEF__EALL_CONTAINMENTS

    static final int TYPEDEF__EALL_CONTAINMENTS

  The feature id for the 'EAll Containments' reference list.

### TYPEDEF__EALL_OPERATIONS

    static final int TYPEDEF__EALL_OPERATIONS

  The feature id for the 'EAll Operations' reference list.

### TYPEDEF__EALL_STRUCTURAL_FEATURES

    static final int TYPEDEF__EALL_STRUCTURAL_FEATURES

  The feature id for the 'EAll Structural Features' reference list.

### TYPEDEF__EALL_SUPER_TYPES

    static final int TYPEDEF__EALL_SUPER_TYPES

  The feature id for the 'EAll Super Types' reference list.

### TYPEDEF__EID_ATTRIBUTE

    static final int TYPEDEF__EID_ATTRIBUTE

  The feature id for the 'EID Attribute' reference.

### TYPEDEF__ESTRUCTURAL_FEATURES

    static final int TYPEDEF__ESTRUCTURAL_FEATURES

  The feature id for the 'EStructural Features' containment reference list.

### TYPEDEF__EGENERIC_SUPER_TYPES

    static final int TYPEDEF__EGENERIC_SUPER_TYPES

  The feature id for the 'EGeneric Super Types' containment reference list.

### TYPEDEF__EALL_GENERIC_SUPER_TYPES

    static final int TYPEDEF__EALL_GENERIC_SUPER_TYPES

  The feature id for the 'EAll Generic Super Types' reference list.

### TYPEDEF__BASE

    static final int TYPEDEF__BASE

  The feature id for the 'Base' reference.

### TYPEDEF__CONDITION

    static final int TYPEDEF__CONDITION

  The feature id for the 'Condition' containment reference.

### TYPEDEF_FEATURE_COUNT

    static final int TYPEDEF_FEATURE_COUNT

  The number of structural features of the 'Typedef' class.

### UNLINK_EXP

    static final int UNLINK_EXP

  The meta object id for the '`Unlink Exp`' class.

  See Also:
    `UnlinkExpImpl`, `ImperativeOCLPackageImpl.getUnlinkExp()`, Constant Field Values

### UNLINK_EXP__EANNOTATIONS

    static final int UNLINK_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### UNLINK_EXP__NAME

    static final int UNLINK_EXP__NAME

  The feature id for the 'Name' attribute.

### UNLINK_EXP__ORDERED

    static final int UNLINK_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### UNLINK_EXP__UNIQUE

    static final int UNLINK_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### UNLINK_EXP__LOWER_BOUND

    static final int UNLINK_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### UNLINK_EXP__UPPER_BOUND

    static final int UNLINK_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### UNLINK_EXP__MANY

    static final int UNLINK_EXP__MANY

  The feature id for the 'Many' attribute.

### UNLINK_EXP__REQUIRED

    static final int UNLINK_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### UNLINK_EXP__ETYPE

    static final int UNLINK_EXP__ETYPE

  The feature id for the 'EType' reference.

### UNLINK_EXP__EGENERIC_TYPE

    static final int UNLINK_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### UNLINK_EXP__START_POSITION

    static final int UNLINK_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### UNLINK_EXP__END_POSITION

    static final int UNLINK_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### UNLINK_EXP__ITEM

    static final int UNLINK_EXP__ITEM

  The feature id for the 'Item' containment reference.

### UNLINK_EXP__TARGET

    static final int UNLINK_EXP__TARGET

  The feature id for the 'Target' containment reference.

### UNLINK_EXP_FEATURE_COUNT

    static final int UNLINK_EXP_FEATURE_COUNT

  The number of structural features of the 'Unlink Exp' class.

### UNPACK_EXP

    static final int UNPACK_EXP

  The meta object id for the '`Unpack Exp`' class.

  See Also:
    `UnpackExpImpl`, `ImperativeOCLPackageImpl.getUnpackExp()`, Constant Field Values

### UNPACK_EXP__EANNOTATIONS

    static final int UNPACK_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### UNPACK_EXP__NAME

    static final int UNPACK_EXP__NAME

  The feature id for the 'Name' attribute.

### UNPACK_EXP__ORDERED

    static final int UNPACK_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### UNPACK_EXP__UNIQUE

    static final int UNPACK_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### UNPACK_EXP__LOWER_BOUND

    static final int UNPACK_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### UNPACK_EXP__UPPER_BOUND

    static final int UNPACK_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### UNPACK_EXP__MANY

    static final int UNPACK_EXP__MANY

  The feature id for the 'Many' attribute.

### UNPACK_EXP__REQUIRED

    static final int UNPACK_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### UNPACK_EXP__ETYPE

    static final int UNPACK_EXP__ETYPE

  The feature id for the 'EType' reference.

### UNPACK_EXP__EGENERIC_TYPE

    static final int UNPACK_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### UNPACK_EXP__START_POSITION

    static final int UNPACK_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### UNPACK_EXP__END_POSITION

    static final int UNPACK_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### UNPACK_EXP__SOURCE

    static final int UNPACK_EXP__SOURCE

  The feature id for the 'Source' containment reference.

### UNPACK_EXP__TARGET_VARIABLE

    static final int UNPACK_EXP__TARGET_VARIABLE

  The feature id for the 'Target Variable' reference list.

### UNPACK_EXP_FEATURE_COUNT

    static final int UNPACK_EXP_FEATURE_COUNT

  The number of structural features of the 'Unpack Exp' class.

### VARIABLE_INIT_EXP

    static final int VARIABLE_INIT_EXP

  The meta object id for the '`Variable Init Exp`' class.

  See Also:
    `VariableInitExpImpl`, `ImperativeOCLPackageImpl.getVariableInitExp()`, Constant Field Values

### VARIABLE_INIT_EXP__EANNOTATIONS

    static final int VARIABLE_INIT_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### VARIABLE_INIT_EXP__NAME

    static final int VARIABLE_INIT_EXP__NAME

  The feature id for the 'Name' attribute.

### VARIABLE_INIT_EXP__ORDERED

    static final int VARIABLE_INIT_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### VARIABLE_INIT_EXP__UNIQUE

    static final int VARIABLE_INIT_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### VARIABLE_INIT_EXP__LOWER_BOUND

    static final int VARIABLE_INIT_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### VARIABLE_INIT_EXP__UPPER_BOUND

    static final int VARIABLE_INIT_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### VARIABLE_INIT_EXP__MANY

    static final int VARIABLE_INIT_EXP__MANY

  The feature id for the 'Many' attribute.

### VARIABLE_INIT_EXP__REQUIRED

    static final int VARIABLE_INIT_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### VARIABLE_INIT_EXP__ETYPE

    static final int VARIABLE_INIT_EXP__ETYPE

  The feature id for the 'EType' reference.

### VARIABLE_INIT_EXP__EGENERIC_TYPE

    static final int VARIABLE_INIT_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### VARIABLE_INIT_EXP__START_POSITION

    static final int VARIABLE_INIT_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### VARIABLE_INIT_EXP__END_POSITION

    static final int VARIABLE_INIT_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### VARIABLE_INIT_EXP__REFERRED_VARIABLE

    static final int VARIABLE_INIT_EXP__REFERRED_VARIABLE

  The feature id for the 'Referred Variable' containment reference.

### VARIABLE_INIT_EXP__WITH_RESULT

    static final int VARIABLE_INIT_EXP__WITH_RESULT

  The feature id for the 'With Result' attribute.

### VARIABLE_INIT_EXP_FEATURE_COUNT

    static final int VARIABLE_INIT_EXP_FEATURE_COUNT

  The number of structural features of the 'Variable Init Exp' class.

### WHILE_EXP

    static final int WHILE_EXP

  The meta object id for the '`While Exp`' class.

  See Also:
    `WhileExpImpl`, `ImperativeOCLPackageImpl.getWhileExp()`, Constant Field Values

### WHILE_EXP__EANNOTATIONS

    static final int WHILE_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### WHILE_EXP__NAME

    static final int WHILE_EXP__NAME

  The feature id for the 'Name' attribute.

### WHILE_EXP__ORDERED

    static final int WHILE_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

### WHILE_EXP__UNIQUE

    static final int WHILE_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

### WHILE_EXP__LOWER_BOUND

    static final int WHILE_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### WHILE_EXP__UPPER_BOUND

    static final int WHILE_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### WHILE_EXP__MANY

    static final int WHILE_EXP__MANY

  The feature id for the 'Many' attribute.

### WHILE_EXP__REQUIRED

    static final int WHILE_EXP__REQUIRED

  The feature id for the 'Required' attribute.

### WHILE_EXP__ETYPE

    static final int WHILE_EXP__ETYPE

  The feature id for the 'EType' reference.

### WHILE_EXP__EGENERIC_TYPE

    static final int WHILE_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### WHILE_EXP__START_POSITION

    static final int WHILE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

### WHILE_EXP__END_POSITION

    static final int WHILE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

### WHILE_EXP__BODY

    static final int WHILE_EXP__BODY

  The feature id for the 'Body' containment reference.

### WHILE_EXP__CONDITION

    static final int WHILE_EXP__CONDITION

  The feature id for the 'Condition' containment reference.

### WHILE_EXP_FEATURE_COUNT

    static final int WHILE_EXP_FEATURE_COUNT

  The number of structural features of the 'While Exp' class.

### SEVERITY_KIND

    static final int SEVERITY_KIND

  The meta object id for the '`Severity Kind`' enum.

  See Also:
    `SeverityKind`, `ImperativeOCLPackageImpl.getSeverityKind()`, Constant Field Values

Method Detail

### getAltExp

    EClass getAltExp()

  Returns the meta object for class '`Alt Exp`'.

  Returns:
    the meta object for class 'Alt Exp'.
  See Also:
    `AltExp`

### getAltExp_Body

    EReference getAltExp_Body()

  Returns the meta object for the containment reference '`Body`'.

  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `AltExp.getBody()`, `getAltExp()`

### getAltExp_Condition

    EReference getAltExp_Condition()

  Returns the meta object for the containment reference '`Condition`'.

  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `AltExp.getCondition()`, `getAltExp()`

### getAssertExp

    EClass getAssertExp()

  Returns the meta object for class '`Assert Exp`'.

  Returns:
    the meta object for class 'Assert Exp'.
  See Also:
    `AssertExp`

### getAssertExp_Assertion

    EReference getAssertExp_Assertion()

  Returns the meta object for the containment reference '`Assertion`'.

  Returns:
    the meta object for the containment reference 'Assertion'.
  See Also:
    `AssertExp.getAssertion()`, `getAssertExp()`

### getAssertExp_Log

    EReference getAssertExp_Log()

  Returns the meta object for the containment reference '`Log`'.

  Returns:
    the meta object for the containment reference 'Log'.
  See Also:
    `AssertExp.getLog()`, `getAssertExp()`

### getAssertExp_Severity

    EAttribute getAssertExp_Severity()

  Returns the meta object for the attribute '`Severity`'.

  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `AssertExp.getSeverity()`, `getAssertExp()`

### getAssignExp

    EClass getAssignExp()

  Returns the meta object for class '`Assign Exp`'.

  Returns:
    the meta object for class 'Assign Exp'.
  See Also:
    `AssignExp`

### getAssignExp_DefaultValue

    EReference getAssignExp_DefaultValue()

  Returns the meta object for the containment reference '`Default Value`'.

  Returns:
    the meta object for the containment reference 'Default Value'.
  See Also:
    `AssignExp.getDefaultValue()`, `getAssignExp()`

### getAssignExp_IsReset

    EAttribute getAssignExp_IsReset()

  Returns the meta object for the attribute '`Is Reset`'.

  Returns:
    the meta object for the attribute 'Is Reset'.
  See Also:
    `AssignExp.isIsReset()`, `getAssignExp()`

### getAssignExp_Left

    EReference getAssignExp_Left()

  Returns the meta object for the containment reference '`Left`'.

  Returns:
    the meta object for the containment reference 'Left'.
  See Also:
    `AssignExp.getLeft()`, `getAssignExp()`

### getAssignExp_Value

    EReference getAssignExp_Value()

  Returns the meta object for the containment reference list '`Value`'.

  Returns:
    the meta object for the containment reference list 'Value'.
  See Also:
    `AssignExp.getValue()`, `getAssignExp()`

### getBlockExp

    EClass getBlockExp()

  Returns the meta object for class '`Block Exp`'.

  Returns:
    the meta object for class 'Block Exp'.
  See Also:
    `BlockExp`

### getBlockExp_Body

    EReference getBlockExp_Body()

  Returns the meta object for the containment reference list '`Body`'.

  Returns:
    the meta object for the containment reference list 'Body'.
  See Also:
    `BlockExp.getBody()`, `getBlockExp()`

### getBreakExp

    EClass getBreakExp()

  Returns the meta object for class '`Break Exp`'.

  Returns:
    the meta object for class 'Break Exp'.
  See Also:
    `BreakExp`

### getCatchExp

    EClass getCatchExp()

  Returns the meta object for class '`Catch Exp`'.

  Returns:
    the meta object for class 'Catch Exp'.
  See Also:
    `CatchExp`

### getCatchExp_Body

    EReference getCatchExp_Body()

  Returns the meta object for the containment reference list '`Body`'.

  Returns:
    the meta object for the containment reference list 'Body'.
  See Also:
    `CatchExp.getBody()`, `getCatchExp()`

### getCatchExp_Exception

    EReference getCatchExp_Exception()

  Returns the meta object for the reference list '`Exception`'.

  Returns:
    the meta object for the reference list 'Exception'.
  See Also:
    `CatchExp.getException()`, `getCatchExp()`

### getComputeExp

    EClass getComputeExp()

  Returns the meta object for class '`Compute Exp`'.

  Returns:
    the meta object for class 'Compute Exp'.
  See Also:
    `ComputeExp`

### getComputeExp_Body

    EReference getComputeExp_Body()

  Returns the meta object for the containment reference '`Body`'.

  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `ComputeExp.getBody()`, `getComputeExp()`

### getComputeExp_ReturnedElement

    EReference getComputeExp_ReturnedElement()

  Returns the meta object for the containment reference '`Returned Element`'.

  Returns:
    the meta object for the containment reference 'Returned Element'.
  See Also:
    `ComputeExp.getReturnedElement()`, `getComputeExp()`

### getContinueExp

    EClass getContinueExp()

  Returns the meta object for class '`Continue Exp`'.

  Returns:
    the meta object for class 'Continue Exp'.
  See Also:
    `ContinueExp`

### getDictLiteralExp

    EClass getDictLiteralExp()

  Returns the meta object for class '`Dict Literal Exp`'.

  Returns:
    the meta object for class 'Dict Literal Exp'.
  See Also:
    `DictLiteralExp`

### getDictLiteralExp_Part

    EReference getDictLiteralExp_Part()

  Returns the meta object for the containment reference list '`Part`'.

  Returns:
    the meta object for the containment reference list 'Part'.
  See Also:
    `DictLiteralExp.getPart()`, `getDictLiteralExp()`

### getDictLiteralPart

    EClass getDictLiteralPart()

  Returns the meta object for class '`Dict Literal Part`'.

  Returns:
    the meta object for class 'Dict Literal Part'.
  See Also:
    `DictLiteralPart`

### getDictLiteralPart_Key

    EReference getDictLiteralPart_Key()

  Returns the meta object for the containment reference '`Key`'.

  Returns:
    the meta object for the containment reference 'Key'.
  See Also:
    `DictLiteralPart.getKey()`, `getDictLiteralPart()`

### getDictLiteralPart_Value

    EReference getDictLiteralPart_Value()

  Returns the meta object for the containment reference '`Value`'.

  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `DictLiteralPart.getValue()`, `getDictLiteralPart()`

### getDictionaryType

    EClass getDictionaryType()

  Returns the meta object for class '`Dictionary Type`'.

  Returns:
    the meta object for class 'Dictionary Type'.
  See Also:
    `DictionaryType`

### getDictionaryType_KeyType

    EReference getDictionaryType_KeyType()

  Returns the meta object for the reference '`Key Type`'.

  Returns:
    the meta object for the reference 'Key Type'.
  See Also:
    `DictionaryType.getKeyType()`, `getDictionaryType()`

### getForExp

    EClass getForExp()

  Returns the meta object for class '`For Exp`'.

  Returns:
    the meta object for class 'For Exp'.
  See Also:
    `ForExp`

### getImperativeExpression

    EClass getImperativeExpression()

  Returns the meta object for class '`Imperative Expression`'.

  Returns:
    the meta object for class 'Imperative Expression'.
  See Also:
    `ImperativeExpression`

### getImperativeIterateExp

    EClass getImperativeIterateExp()

  Returns the meta object for class '`Imperative Iterate Exp`'.

  Returns:
    the meta object for class 'Imperative Iterate Exp'.
  See Also:
    `ImperativeIterateExp`

### getImperativeIterateExp_Target

    EReference getImperativeIterateExp_Target()

  Returns the meta object for the containment reference '`Target`'.

  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `ImperativeIterateExp.getTarget()`, `getImperativeIterateExp()`

### getImperativeLoopExp

    EClass getImperativeLoopExp()

  Returns the meta object for class '`Imperative Loop Exp`'.

  Returns:
    the meta object for class 'Imperative Loop Exp'.
  See Also:
    `ImperativeLoopExp`

### getImperativeLoopExp_Condition

    EReference getImperativeLoopExp_Condition()

  Returns the meta object for the containment reference '`Condition`'.

  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `ImperativeLoopExp.getCondition()`, `getImperativeLoopExp()`

### getInstantiationExp

    EClass getInstantiationExp()

  Returns the meta object for class '`Instantiation Exp`'.

  Returns:
    the meta object for class 'Instantiation Exp'.
  See Also:
    `InstantiationExp`

### getInstantiationExp_Argument

    EReference getInstantiationExp_Argument()

  Returns the meta object for the containment reference list '`Argument`'.

  Returns:
    the meta object for the containment reference list 'Argument'.
  See Also:
    `InstantiationExp.getArgument()`, `getInstantiationExp()`

### getInstantiationExp_Extent

    EReference getInstantiationExp_Extent()

  Returns the meta object for the reference '`Extent`'.

  Returns:
    the meta object for the reference 'Extent'.
  See Also:
    `InstantiationExp.getExtent()`, `getInstantiationExp()`

### getInstantiationExp_InstantiatedClass

    EReference getInstantiationExp_InstantiatedClass()

  Returns the meta object for the reference '`Instantiated Class`'.

  Returns:
    the meta object for the reference 'Instantiated Class'.
  See Also:
    `InstantiationExp.getInstantiatedClass()`, `getInstantiationExp()`

### getListLiteralExp

    EClass getListLiteralExp()

  Returns the meta object for class '`List Literal Exp`'.

  Returns:
    the meta object for class 'List Literal Exp'.
  Since:
    3.0
  See Also:
    `ListLiteralExp`

### getListLiteralExp_Element

    EReference getListLiteralExp_Element()

  Returns the meta object for the containment reference list '`Element`'.

  Returns:
    the meta object for the containment reference list 'Element'.
  Since:
    3.0
  See Also:
    `ListLiteralExp.getElement()`, `getListLiteralExp()`

### getListType

    EClass getListType()

  Returns the meta object for class '`List Type`'.

  Returns:
    the meta object for class 'List Type'.
  See Also:
    `ListType`

### getLogExp

    EClass getLogExp()

  Returns the meta object for class '`Log Exp`'.

  Returns:
    the meta object for class 'Log Exp'.
  See Also:
    `LogExp`

### getLogExp_Condition

    EReference getLogExp_Condition()

  Returns the meta object for the containment reference '`Condition`'.

  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `LogExp.getCondition()`, `getLogExp()`

### getOrderedTupleLiteralExp

    EClass getOrderedTupleLiteralExp()

  Returns the meta object for class '`Ordered Tuple Literal Exp`'.

  Returns:
    the meta object for class 'Ordered Tuple Literal Exp'.
  See Also:
    `OrderedTupleLiteralExp`

### getOrderedTupleLiteralExp_Part

    EReference getOrderedTupleLiteralExp_Part()

  Returns the meta object for the containment reference list '`Part`'.

  Returns:
    the meta object for the containment reference list 'Part'.
  See Also:
    `OrderedTupleLiteralExp.getPart()`, `getOrderedTupleLiteralExp()`

### getOrderedTupleLiteralPart

    EClass getOrderedTupleLiteralPart()

  Returns the meta object for class '`Ordered Tuple Literal Part`'.

  Returns:
    the meta object for class 'Ordered Tuple Literal Part'.
  See Also:
    `OrderedTupleLiteralPart`

### getOrderedTupleLiteralPart_Value

    EReference getOrderedTupleLiteralPart_Value()

  Returns the meta object for the containment reference '`Value`'.

  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `OrderedTupleLiteralPart.getValue()`, `getOrderedTupleLiteralPart()`

### getOrderedTupleType

    EClass getOrderedTupleType()

  Returns the meta object for class '`Ordered Tuple Type`'.

  Returns:
    the meta object for class 'Ordered Tuple Type'.
  See Also:
    `OrderedTupleType`

### getOrderedTupleType_ElementType

    EReference getOrderedTupleType_ElementType()

  Returns the meta object for the reference list '`Element Type`'.

  Returns:
    the meta object for the reference list 'Element Type'.
  See Also:
    `OrderedTupleType.getElementType()`, `getOrderedTupleType()`

### getRaiseExp

    EClass getRaiseExp()

  Returns the meta object for class '`Raise Exp`'.

  Returns:
    the meta object for class 'Raise Exp'.
  See Also:
    `RaiseExp`

### getRaiseExp_Argument

    EReference getRaiseExp_Argument()

  Returns the meta object for the containment reference '`Argument`'.

  Returns:
    the meta object for the containment reference 'Argument'.
  See Also:
    `RaiseExp.getArgument()`, `getRaiseExp()`

### getRaiseExp_Exception

    EReference getRaiseExp_Exception()

  Returns the meta object for the reference '`Exception`'.

  Returns:
    the meta object for the reference 'Exception'.
  See Also:
    `RaiseExp.getException()`, `getRaiseExp()`

### getReturnExp

    EClass getReturnExp()

  Returns the meta object for class '`Return Exp`'.

  Returns:
    the meta object for class 'Return Exp'.
  See Also:
    `ReturnExp`

### getReturnExp_Value

    EReference getReturnExp_Value()

  Returns the meta object for the containment reference '`Value`'.

  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `ReturnExp.getValue()`, `getReturnExp()`

### getSwitchExp

    EClass getSwitchExp()

  Returns the meta object for class '`Switch Exp`'.

  Returns:
    the meta object for class 'Switch Exp'.
  See Also:
    `SwitchExp`

### getSwitchExp_AlternativePart

    EReference getSwitchExp_AlternativePart()

  Returns the meta object for the containment reference list '`Alternative Part`'.

  Returns:
    the meta object for the containment reference list 'Alternative Part'.
  See Also:
    `SwitchExp.getAlternativePart()`, `getSwitchExp()`

### getSwitchExp_ElsePart

    EReference getSwitchExp_ElsePart()

  Returns the meta object for the containment reference '`Else Part`'.

  Returns:
    the meta object for the containment reference 'Else Part'.
  See Also:
    `SwitchExp.getElsePart()`, `getSwitchExp()`

### getTryExp

    EClass getTryExp()

  Returns the meta object for class '`Try Exp`'.

  Returns:
    the meta object for class 'Try Exp'.
  See Also:
    `TryExp`

### getTryExp_ExceptClause

    EReference getTryExp_ExceptClause()

  Returns the meta object for the containment reference list '`Except Clause`'.

  Returns:
    the meta object for the containment reference list 'Except Clause'.
  See Also:
    `TryExp.getExceptClause()`, `getTryExp()`

### getTryExp_TryBody

    EReference getTryExp_TryBody()

  Returns the meta object for the containment reference list '`Try Body`'.

  Returns:
    the meta object for the containment reference list 'Try Body'.
  See Also:
    `TryExp.getTryBody()`, `getTryExp()`

### getTypedef

    EClass getTypedef()

  Returns the meta object for class '`Typedef`'.

  Returns:
    the meta object for class 'Typedef'.
  See Also:
    `Typedef`

### getTypedef_Base

    EReference getTypedef_Base()

  Returns the meta object for the reference '`Base`'.

  Returns:
    the meta object for the reference 'Base'.
  See Also:
    `Typedef.getBase()`, `getTypedef()`

### getTypedef_Condition

    EReference getTypedef_Condition()

  Returns the meta object for the containment reference '`Condition`'.

  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `Typedef.getCondition()`, `getTypedef()`

### getUnlinkExp

    EClass getUnlinkExp()

  Returns the meta object for class '`Unlink Exp`'.

  Returns:
    the meta object for class 'Unlink Exp'.
  See Also:
    `UnlinkExp`

### getUnlinkExp_Item

    EReference getUnlinkExp_Item()

  Returns the meta object for the containment reference '`Item`'.

  Returns:
    the meta object for the containment reference 'Item'.
  See Also:
    `UnlinkExp.getItem()`, `getUnlinkExp()`

### getUnlinkExp_Target

    EReference getUnlinkExp_Target()

  Returns the meta object for the containment reference '`Target`'.

  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `UnlinkExp.getTarget()`, `getUnlinkExp()`

### getUnpackExp

    EClass getUnpackExp()

  Returns the meta object for class '`Unpack Exp`'.

  Returns:
    the meta object for class 'Unpack Exp'.
  See Also:
    `UnpackExp`

### getUnpackExp_Source

    EReference getUnpackExp_Source()

  Returns the meta object for the containment reference '`Source`'.

  Returns:
    the meta object for the containment reference 'Source'.
  See Also:
    `UnpackExp.getSource()`, `getUnpackExp()`

### getUnpackExp_TargetVariable

    EReference getUnpackExp_TargetVariable()

  Returns the meta object for the reference list '`Target Variable`'.

  Returns:
    the meta object for the reference list 'Target Variable'.
  See Also:
    `UnpackExp.getTargetVariable()`, `getUnpackExp()`

### getVariableInitExp

    EClass getVariableInitExp()

  Returns the meta object for class '`Variable Init Exp`'.

  Returns:
    the meta object for class 'Variable Init Exp'.
  See Also:
    `VariableInitExp`

### getVariableInitExp_ReferredVariable

    EReference getVariableInitExp_ReferredVariable()

  Returns the meta object for the containment reference '`Referred Variable`'.

  Returns:
    the meta object for the containment reference 'Referred Variable'.
  See Also:
    `VariableInitExp.getReferredVariable()`, `getVariableInitExp()`

### getVariableInitExp_WithResult

    EAttribute getVariableInitExp_WithResult()

  Returns the meta object for the attribute '`With Result`'.

  Returns:
    the meta object for the attribute 'With Result'.
  See Also:
    `VariableInitExp.isWithResult()`, `getVariableInitExp()`

### getWhileExp

    EClass getWhileExp()

  Returns the meta object for class '`While Exp`'.

  Returns:
    the meta object for class 'While Exp'.
  See Also:
    `WhileExp`

### getWhileExp_Body

    EReference getWhileExp_Body()

  Returns the meta object for the containment reference '`Body`'.

  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `WhileExp.getBody()`, `getWhileExp()`

### getWhileExp_Condition

    EReference getWhileExp_Condition()

  Returns the meta object for the containment reference '`Condition`'.

  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `WhileExp.getCondition()`, `getWhileExp()`

### getSeverityKind

    EEnum getSeverityKind()

  Returns the meta object for enum '`Severity Kind`'.

  Returns:
    the meta object for enum 'Severity Kind'.
  See Also:
    `SeverityKind`

### getImperativeOCLFactory

    ImperativeOCLFactory getImperativeOCLFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD